{include file="$gentemplates/$header_tpl"}
<div class="profile_general_table">
<div>
	<h2>{$lang.section.black_list}</h2>
	<!-- main tabs -->	
	<div class="main_tabs">
		<div class="tab_block first {if $form.filter eq 'all'} active{/if}">
			<a href="{$form.view_all_link}">
				{$lang.search.view_all} ({$form.count})
			</a>
		</div>
		<div class="tab_block {if $form.filter eq 'online'} active{/if}">
			<a href="{$form.view_online_link}">
				{$lang.search.view_online} ({$form.online_count})
			</a>
		</div>
		<div class="tab_block {if $form.filter eq 'new'} active{/if}">
			<a href="{$form.view_new_link}">
				{$lang.search.view_new} ({$form.new_count})
			</a>
		</div>			
		<div class="view float_right">
			{if $form.view eq 'gallery'}
				<a href="{$form.view_list_link}" class="view-list-icon" title="{$lang.button.show_as_list}">&nbsp;</a>
			{else}
				<a href="{$form.view_gallery_link}" class="view-gal-icon" title="{$lang.button.show_as_gal}">&nbsp;</a>
			{/if}					
		</div>
	</div>
	<!-- end main tabs -->

	{if $empty eq 1}<div>&nbsp;</div><p class="error_msg">*&nbsp;{$header_s.empty_result}</p>{/if}

	{if $search_res}
		<div style="display:table;width:100%;padding: 15px 0;">
			<p class="float_left">{$header_s.toptext_black}</p>
			{include file="$gentemplates/pagination_top.tpl"}
		</div>
		<!-- begin results list -->
		{strip}
		<div class="search_result_list">
		{if $form.view eq 'gallery'}
			{foreach key=key item=item from=$search_res name=s}
				<div class="search_result_gallery" {if $smarty.foreach.s.iteration is div by 6}style="margin-{$default_right}:0px"{/if}>
					<div class="">
					<a class="imgcanvas_container" href="{$item.profile_link}" style="position: relative;">
						<img src="{$item.icon_path}" class="icon imgcanvas" alt="" onmouseover="javascript: CreateBigImage(this, event{if $smarty.foreach.s.iteration is div by 6}, true{else}, false{/if}, false);">
					</a>
					{if $item.hotlisted}<div style="position:relative;"><a class="small_heart_white" style="bottom:5px; {$default_left}:5px; position:absolute;">&nbsp;</a></div>{/if}
					<div style="position:relative;"><a title="{$lang.relations.del_from_blacklist}" class="delete_icon_grey inactive" style="bottom:5px; {$default_left}:5px; position:absolute;" href="{$item.delenemy_link}">&nbsp;</a></div>
					<p>
						<a href="{$item.profile_link}">{$item.name|truncate:18:"...":true}</a>,&nbsp;{if $item.age}{$item.age}{/if}<br />
						{if $item.location}{$item.location|truncate:18:"...":true}<br />{/if}
						<span class="text_hidden"> {$lang.users.upload_1}:&nbsp;{$item.photo_count}</span><br/>
					</p>
					</div>
				</div>			
								
			{/foreach}
		{else}
			{foreach key=key item=item from=$search_res name=s}
			<div class="table_result_list {if $item.is_me eq 1} home_menu {/if}" id="id_{$item.id}">					
				<div class="image_col">	
					<a class="imgcanvas_container" href="{if $item.is_me ne 1}{$item.profile_link}{else}#{/if}" style="position: relative;">
						<img src="{$item.icon_path}" class="icon imgcanvas" alt="" onmouseover="javascript: CreateBigImage(this, event, false{if $smarty.foreach.s.last eq 1}, true{else}, false{/if});">	
						{if $item.hotlisted}<div style="position:relative;"><a class="small_heart_white" style="top:-38px; {$default_left}:5px; position:absolute;" {*href="{$item.delfriend_link}"*}>&nbsp;</a></div>{/if}
					</a>
					<div style="position:relative;">
						<a style="top:-29px; {$default_left}:5px; position:absolute;" class="delete_icon_grey inactive">&nbsp;</a>
					</div>
				</div>
				<div class="info_col">							
					{if $item.is_me ne 1}
						<a class="float_left" href="{$item.profile_link}">
					{/if}
						{$item.name|truncate:20:"...":true}
					{if $item.is_me ne 1}</a>{/if}
					<span class="float_left">{if $item.age},&nbsp;{$item.age}{/if}&nbsp;&nbsp;</span>
					<span class="float_left status{if $item.status eq $lang.status.on}_link{else}_text{/if}">{$item.status}</span><br /><br />
					{if $item.location}{$item.location|truncate:30:"...":true}<br />{/if}						
					<span class="text_hidden">{$lang.users.upload_1}:&nbsp;{$item.photo_count} </span>
												
					{if $form.show_users_group_s eq '1'}					
						<p>{$item.group}</p>				
					{/if}							
					<p class="text_hidden">
						{$lang.users.gender_search}&nbsp;
						{if $item.user_subtypes}{$item.user_subtypes}&nbsp;({$item.user_type})
						{else}{$item.user_type}
						{/if} 
						{$lang.users.from} {$item.age_min} {$lang.users.to} {$item.age_max}
					</p>							
				</div>				
				<div class="annonce text_hidden">
					<p style="text-align: {$default_right};">
						{if $item.date_registration_type == 1}
							{$item.date_registration_ago} {$header_s.minutes_ago}
						{/if}
						{if $item.date_registration_type == 2}
							{$item.date_registration_ago} {$header_s.hours_ago}
						{/if}
						{if $item.date_registration_type == 3}
							{$item.date_registration_ago} {$header_s.days_ago}
						{/if}
					</p>
					<p style="text-align: {$default_right};">
						{$item.last_login}
					</p>
					{if $form.show_users_comments eq '1'}
						{$item.annonce}
					{/if}
				</div>
				<div class="float_left" style="padding:6px;">
					<a class="blacklist-icon" href="{$item.delenemy_link}" title="{$lang.relations.del_from_blacklist}">&nbsp;</a>
				</div>
			</div>
			{/foreach}
		{/if}
		</div>
		{include file="$gentemplates/pagination_bottom.tpl"}
		{/strip}
		<!-- end results list -->
	{/if}
</div>
{include file="$gentemplates/$footer_tpl"}