<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Language" content="{$default_lang}" />
	<meta http-equiv="Content-Type" content="text/html; charset={$charset}" />
	<title>{if $title ne ''}{$title}{if $category}: {$category.name}{/if}{else}{$lang.main_title}{/if}</title>
	<meta name="title" content="{if $title ne ''}{$title}{if $category}: {$category.name}{/if}{else}{$lang.main_title}{/if}" />
	<meta name="keywords" content="{if $keywords ne ''}{$keywords}{else}{$lang.keywords}{/if}" />
	<meta name="description" content="{if $description ne ''}{$description}{else}{$lang.description}{/if}" />
	
	<link rel="shortcut icon" href="{$server}/favicon.ico" type="image/x-icon">
	
	{if $demo_module eq 1}
		<script type="text/javascript" src="//use.typekit.net/rps2ais.js"></script>
		<script type="text/javascript">{literal}try{Typekit.load();}catch(e){}{/literal}</script>
	{/if}
	
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/dp13.css" type="text/css" />
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/icons_def.css" type="text/css" />
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/langstyle_{$default_left}.css" type="text/css" />
	{if $css_path_affiliate}
		<link rel="stylesheet" href="{$site_root}{$css_path_affiliate}/index_{$default_left}.css"  type="text/css">
	{/if}
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/color_admin{$theme_postfix}.css" type="text/css" />
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/jquery/jquery.selectBox.css" type="text/css" />
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/jquery/carousel.css" type="text/css" />
	
	
	<script type="text/javascript" src="{$site_root}{$template_root}/js/{$script}.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery-1.7.2.min.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/class.loader.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/class.loading_indicator.js"></script>
	{if $script ne 'common'}
		<script type="text/javascript" src="{$site_root}{$template_root}/js/common.js"></script>
	{/if}
    <script type="text/javascript" src="{$site_root}{$template_root}/js/timezone.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery/jquery.jcarousel.min.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery/jquery.selectBox.js"></script>
	{if $use_slider}
		<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery/jquery.nivo.slider.js"></script>
	{/if}
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery/jquery.placeholder.js"></script>
	
	{literal}
	<!--[if gte IE 9]>
	  <style type="text/css">
		.gradient {
		   filter: none;
		}
	  </style>
	<![endif]-->
	{/literal}
 
	<script type="text/javascript">
		var TEMPLATE_PATH = "{$site_root}{$template_root}";
		var TEMPLATE_IMAGES_ROOT = "{$template_images_root}";
		var INDEX_THEME_IMAGES_PATH = "{$index_theme_images_path}";
		var TEMPLATE_CSS_ROOT = "{$template_css_root}";
		var INDEX_THEME_CSS_PATH = "{$index_theme_css_path}";
		var GB_IMG_DIR = "{$site_root}{$template_root}/greybox/";
		var SERVER = "{$server}";
		var SITE_ROOT = "{$site_root}";
		var SEO_SITE_ROOT = "{$seo_site_root}";
		var redactor_lang = "{if $redactor_lang}{$redactor_lang}{else}en{/if}";
		var DEFAULT_LTR = "{$default_ltr}";
		var DEFAULT_RIGHT = "{$default_right}";
		var DEFAULT_LEFT = "{$default_left}";
		var loading_text = "{$lang.loading_text|escape:javascript}";
		var display_loc = '{$display_loc}';
		var single_country = '{$single_country}';
		var single_region = '{$single_region}';
		var index_page = 1;
		var use_slider = {if $use_slider}1{else}0{/if};
		var is_dp13_tpl = 1;
		
		jsLoader.properties.url = SERVER+'/backend.php';
		//saveUserTimezoneOffset(getUserTimezoneOffset());
	{literal}

		function CheckValid(){
			bp=document.login_form;
			if(bp.login_lg.value==""){
				alert('Wrong login. Possibly inaccessible symbols are used');return;
			}
			if(bp.pass_lg.value==""){
				alert('Wrong password');
				return;
			}
			$.post(
				SEO_SITE_ROOT+"/index.php",
				{login_lg:bp.login_lg.value, pass_lg:bp.pass_lg.value, remember_me:bp.remember_me.value},
				function(data){
					if(data == "error"){
						$("#err").css("display", "inline");
					}else{
						document.location.href = data;
					}
			   }
			);
		}
		
		$('select[name=id_language_2]').remove();
		$('select[name=id_language_3]').remove();
		var resize=1;
		
		
		$(function(){
			var allowed_browsers = {
				'MSIE': 9,
				'Opera': 12.1,
				'Firefox': 10,
				'Chrome': 17,
				'Safari': 5
			};
			var browser = getBrowser(1);
			if(allowed_browsers[browser[0]] && allowed_browsers[browser[0]] > parseFloat(browser[1]+'.'+browser[2])){
				$('#browser_alert').show().on('click', function(){$('#browser_alert').slideUp();});
				setTimeout(function(){$('#browser_alert').slideUp();}, 10000);
			}
			
			$('input, textarea').placeholder();

			loading_indicator = new loadingIndicator({horizontal: DEFAULT_RIGHT, indicatorText: loading_text});
			
			$('.window #close').click(function (e) {
				e.preventDefault();
				$('#mask').hide();
				$('.window').hide();
			});
			$('#mask').click(function () {
				$(this).hide();
				$('.window').hide();
			});
			$('#dp13tpl').find('.dp13_carousel_images_wrapper').jcarousel({
				{/literal}{if $default_ltr eq 'rtl'}rtl:1{/if}{literal}
			});
			
			$('#id_user_type').selectBox();
			$('#id_looking_user_type').selectBox();
			$('select[name=b_year]').selectBox();
			$('select[name=b_month]').selectBox();
			$('select[name=b_day]').selectBox();        
			$("#age_max").selectBox();
			$("#age_min").selectBox();
			$("#country, #region, #city").selectBox();
			
			if(use_slider){
				$('#slider').nivoSlider({
					effect: 'random',
					pauseTime: 5000,
					slices: 15, // For slice animations
					boxCols: 8, // For box animations
					boxRows: 4, // For box animations
					startSlide: 0,
					animSpeed: 500,
					manualAdvance: false
				});
			}
		});
	</script>
{/literal}
	
	{if $use_forum_sharing_tools_1 || $use_footer_sharing_tools_1 || $use_blog_sharing_tools_1}
		<div id="fb-root"></div>
		{literal}
		<script>
			var d_lang = '{/literal}{$lang_code}{literal}';
			if (d_lang == '2')   
				lang = "ru_RU";
			else
				lang = "en_US";
			(function(d, s, id) {
				var js, fjs = d.getElementsByTagName(s)[0];
				if (d.getElementById(id)) return;
				js = d.createElement(s); js.id = id;
				js.src = "//connect.facebook.net/"+lang+"/all.js#xfbml=1";
				fjs.parentNode.insertBefore(js, fjs);
			}(document, 'script', 'facebook-jssdk'));
		</script>
		{/literal}
		<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
	{/if}
	{if $use_forum_sharing_tools_2 || $use_footer_sharing_tools_2 || $use_blog_sharing_tools_2}
		<script type="text/javascript" src="http://vk.com/js/api/share.js?11" charset="windows-1251"></script>
	{/if}
	
	{include file="$site_path$index_theme_path/like.tpl"}
	{$google_1}
	{$manual_1}
</head>
<body dir="{$default_ltr}" class="{$color_theme}">
<noscript><div id="no_js">{$lang.no_js}</div></noscript>
{if $demo_module eq 1}
	{include file="$gentemplates/demo_user_top_panel2.tpl"}
{/if}
<div class="window" style="position: absolute; z-index: 1000; left: 580px; top: 62.5px;">
    <div class="close" style="z-index:12000;">
		<a href="#" id="close">
		   <div class="close_icon_white" style="position:absolute;z-index:12000;">&nbsp;</div> 
		</a>
	</div>
	<div id="content">
	</div>
</div>
<div id="mask"></div>
	<div id="browser_alert" class="browser_alert">{$lang.browser_alert}</div>

	<div class="wrapper" {if $demo_module eq 1}style="padding-top: 38px;"{/if}>
		<div class="header">
			<div class="indexmainsize">
				<div class="plr20">
					<dl class="top-subnav">
						{if $lang_link|@count > 1}
							<dd class="first">
								{if $ip_info.flag_path}
								<img src="{$ip_info.flag_path}" alt="{$ip_info.country}" align="left" style="margin: 3px 0;"/>
								{/if}
								{if $ip_info.country}
								&nbsp;{$ip_info.country}
								{/if}						
								<select onchange="document.location.href=this.value;">
								{section  name=a loop=$lang_link}
								  <option value="{$lang_link[a].link}" {if $default_lang eq $lang_link[a].code}selected="selected"{/if}>{$lang_link[a].name}</option>
								{/section}
								</select>
							</dd>
						{/if}
						<dd><a {if $lang_link|@count < 2}style="border: none;"{/if} href="{$site_root}{$bottom_menu.help}" >{$lang.bottom.help}</a></dd>
						<dd><a href="{$form.register_link}">{$lang.home_page.sign_up_now}</a></dd>
						<dd><a href="#" onClick="launchWindow('index.php','sel=loginform',525,240,1); return false;">{$lang.top.login}</a></dd>
						{if $use_facebook_connect eq 1}
						<dd>
							<a>
								<img src=".{$index_theme_path}{$index_theme_images_path}/fb_connect_light_medium_short.gif" onclick="location.href='{$site_root}/facebook_connect/index.php';" style="cursor:pointer;margin-top: -3px;">
							</a>
						</dd>
						{/if}
						{if $use_vk_connect eq 1}
						<dd>
							<a>
								<img src=".{$index_theme_path}{$index_theme_images_path}/vkontakte_login_icon.png" onclick="location.href='http://api.vkontakte.ru/oauth/authorize?client_id={$vk_api_id}&scope=&response_type=code&redirect_uri={$server}/{if $use_seo_url_prefix}{$seo_url_prefix}/{/if}vk_connect.php';" style="cursor:pointer;margin-top: -3px;">
							</a>
						</dd>
						{/if}
					</dl>
				</div>
			</div>
		</div>
		<div id="dp13tpl" class="mainsection index-mainsection">
			{include file="$gentemplates/$dp13_index_template"}
		</div>
	</div>
	<div class="footer">
		<div class="indexmainsize">
			<div class="footernav plr20" style="position: relative; overflow: hidden;">
				<div style="overflow: hidden;">
					<div class="column first">
					<h2>{$lang.bottom.help}</h2>
						<p>
							<a href="{$site_root}{$bottom_menu.help}">{$lang.bottom.help}</a>
							<a href="{$site_root}{$bottom_menu.map}">{$lang.bottom.map}</a>
							<a href="{$site_root}{$bottom_menu.advice}">{$lang.bottom.advice}</a>
							<a href="{$site_root}{$bottom_menu.contact}">{$lang.bottom.contact}</a>
						</p>
					</div>
					<div class="column">
						<h2>{$lang.bottom.about}</h2>
						<p>
							<a href="{$site_root}{$bottom_menu.news}">{$lang.bottom.news}</a>
							<a href="{$site_root}{$bottom_menu.take_tour}" target="_blank">{$lang.bottom.take_tour}</a>
							{if $use_success_stories}
								<a href="{$site_root}{$bottom_menu.stories}">{$lang.bottom.stories}</a>
							{/if}
						</p>
					</div>
					<div class="column">
						<h2>{$lang.bottom.privacy}</h2>
						<p>
							{foreach key=key item=item from=$bottom_menu.info name=menu}
							<a href="{$site_root}/{$item}">{$lang.bottom.info[$key]}</a>
							{/foreach}
						</p>
					</div>
					<div class="column">
						<h2>{$lang.bottom.our_links}</h2>
						<p>
							{if $use_global_seo}
								<a href="{$site_root}/{$seo.main_location}">{$lang.user_locations}</a>
							{/if}
							{if $use_pilot_module_affiliate}
								<a href="{$site_root}{$bottom_menu.affiliate}">{$lang.bottom.affiliate}</a>
							{/if}
							{if $use_pilot_module_mobile eq 1}
								<a href="{$site_root}/m/index.php">{$lang.mobile.mobile_version}</a>
							{/if}
							<a href="{$site_root}{$bottom_menu.tell_friend}">{$lang.tell_a_friend.top_header}</a>
						</p>
					</div>
				</div>
				{if $use_pilot_module_mobile eq 1}
				<div style="float:{$default_left}">
					<img src="http://chart.apis.google.com/chart?cht=qr&chs=80x80&choe=UTF-8&chld=L%7C0&chl={$server}/m/index.php" />
				</div>
				{/if}
				
					<div class="float_right sharing soc" style="position: absolute; bottom: 0px; right: 10px;">
						<table>
							<tr>
							{if $use_footer_sharing_tools_2}
								{literal}
								<td width="136">
									<a target="_blank" class="mrc__plugin_uber_like_button" href="http://connect.mail.ru/share" data-mrc-config="{'nt' : '1', 'cm' : '1', 'ck' : '1', 'sz' : '20', 'st' : '3'}">
										{/literal}{$lang.button.send}{literal}
									</a>
									<script src="http://cdn.connect.mail.ru/js/loader.js" type="text/javascript" charset="UTF-8"></script>
								</td>
								<td>
									<div style="padding-right: 8px;">
										<script type="text/javascript">
										var vk_text = "{/literal}{$lang.button.like}{literal}";
										<!--
										document.write(VK.Share.button(false,{type: "button", text: vk_text}));
										--></script>
									</div>
								</td>
								{/literal}
								{/if}
								{if $use_footer_sharing_tools_1}
								<td>
									<div class="fb-like" data-href="{$server}" data-send="false" data-layout="button_count" data-width="{if $lang_code eq 2}150{else}100{/if}" data-show-faces="false"></div>
								</td>
								<td>
									<a href="https://twitter.com/share" class="twitter-share-button" data-url="{$server}" data-count="horizontal" data-text="{$forum[f].subject}" data-via="" data-lang="en"></a><script type="text/javascript" src="//platform.twitter.com/widgets.js"></script>
								</td>
								<td>
									<span class="g">
										<g:plusone href="{$server}"></g:plusone>
									</span>
								</td>
								{/if}
							</tr>
						</table>
					</div>
			</div>
		</div>
		
		{$google_0}
		{$manual_0}
	</div>
	
	<div class="seobox">
		<div class="indexmainsize">
			<div class="plr20">
				<div class="seobox_text_cont" id="home_page_bottom_text">
					{$lang.home_page.bottom_text_1}<br>{$lang.home_page.bottom_text_2}
				</div>
				{if $display_values}
					<dl>
					{foreach from=$display_values item=value name=countryiter}
						<dd>
							<a href="{$site_root}/{$seo.main_location}-{$value.seo_link}">{$location_text} {$value.name}</a>
						</dd>
					{/foreach}
					</dl>
				{/if}
			</div>
		</div>
	</div>
	<div class="copyright">[copyright]</div>
</body>
</html>
