{include file="$gentemplates/$header_tpl"}
<div class="profile_general_table">
	<div style="width:100%;">
		<h2>{$lang.subsection.meet_me}</h2>	
		{strip}
			<!-- main tabs -->	
			<div class="main_tabs">				
				<div class="tab_block first {if $form.filter eq 'all'} active{/if}">
					<a href="{$form.view_all_link}">
						{$lang.search.view_all} ({math equation='x+y' x=$form.online_count y=$form.offline_count})
					</a>
				</div>
				<div class="tab_block {if $form.filter eq 'online'} active{/if}">
					<a href="{$form.view_online_link}">
						{$lang.search.view_online} ({$form.online_count})
					</a>
				</div>
				<div class="tab_block {if $form.filter eq 'new'} active{/if}">
					<a href="{$form.view_new_link}">
						{$lang.search.view_new} ({$form.new_count})
					</a>
				</div>	
				<div class="view float_right">
					{if $form.view eq 'gallery'}
						<a href="{$form.view_list_link}" class="view-list-icon" title="{$lang.home_page.view_list}">&nbsp;</a>
					{else}
						<a href="{$form.view_gallery_link}" class="view-gal-icon" title="{$lang.home_page.view_gallery}">&nbsp;</a>
					{/if}					
				</div>
			</div>
			<!-- end main tabs -->		
		{/strip}  	
		
		<div class="pagination_top">
			<div class="float_left">
				<span>{$lang.filter}:&nbsp;</span>
				<select name="select_menu" onchange="window.location=this.options[this.selectedIndex].value;">
					<option value="{$form.hotlist_text_1_1_link}{if $view_select eq 1}?view_select=1{/if}">{$lang.matches.hotlist_text_1_1}</option>
					<option value="{$form.hotlist_text_1_2_link}{if $view_select eq 1}?view_select=1{/if}" selected>{$lang.matches.hotlist_text_1_2}</option>
					<option value="{$form.hotlist_text_1_3_link}{if $view_select eq 1}?view_select=1{/if}">{$lang.matches.hotlist_text_1_3}</option>
				</select>
			</div>
			{include file="$gentemplates/pagination_top.tpl"}
		</div>
		
            
			{if $empty eq 1}
    			<p class="error_msg">*&nbsp;{$lang.matches.empty_result}</p>
    		{elseif $empty eq 2}
    			<p class="error_msg">
    				*&nbsp;{$err.back_to_my_profile}&nbsp;
    				<a href="{$form.profile_link}">{$lang.matches_s.my_profile}</a><br>&nbsp;
    			</p>
    		{/if}
			{if $search_res or $view_select eq 1}		
			<!-- begin results list -->
			<div class="search_result_list">
				<div style="height: 10px; margin: 0px">
					<img src="{$site_root}{$template_root}{$template_images_root}/empty.gif" height="5px" alt="">
				</div>
			{strip}	
			{if $form.view eq 'gallery'}
			{foreach key=key item=item from=$search_res name=s}
				<div class="search_result_gallery">
					<div class="">
						<div>						
							<a class="imgcanvas_container" href="{$item.profile_link}" style="position: relative;">
								<img src="{$item.icon_path}" class="imgcanvas" alt="" onmouseover="javascript: CreateBigImage(this, event{if $smarty.foreach.s.iteration is div by 6}, true{else}, false{/if}, false);">
							</a>
							{if $item.hotlisted}
								<div style="position: relative;"><a class="small_heart_white" style="top:-38px; {$default_left}:5px; position:absolute;">&nbsp;</a></div>
							{elseif $item.blacklisted}
								<div style="position: relative;"><a class="small_block_white" style="top:-38px; {$default_left}:5px; position:absolute;">&nbsp;</a></div>
							{/if}
						</div>
						<a href="{$item.profile_link}">{$item.name|truncate:18:"...":true}</a>,&nbsp;{$item.age}<br/>
						{if $item.location}{$item.location|truncate:18:"...":true}<br/>{/if}
						<span class="text_hidden">{$lang.users.upload_1}:&nbsp;{$item.photo_count} </span>
					</div>
				</div>						
			{/foreach}
			{else}
			{foreach key=key item=item from=$search_res name=s}
				<div class="table_result_list {if $item.is_me eq 1} home_menu {/if}" >
					<div class="image_col">	
						<a class="imgcanvas_container" href="{$item.profile_link}" style="position: relative;">
							<img src="{$item.icon_path}" class="imgcanvas" alt="" onmouseover="javascript: CreateBigImage(this, event, false{if $smarty.foreach.s.last eq 1}, true{else}, false{/if});">
						</a>
						{if $item.hotlisted}
							<div style="position: relative;"><a class="small_heart_white" style="top:-38px; {$default_left}:5px; position:absolute;">&nbsp;</a></div>
						{elseif $item.blacklisted}
							<div style="position: relative;"><a class="small_block_white" style="top:-38px; {$default_left}:5px; position:absolute;">&nbsp;</a></div>
						{/if}
					</div>
					<div class="info_col_kiss">
						<a class="float_left" href="{$item.profile_link}">{$item.name|truncate:20:"...":true}</a>
						<span class="float_left">,&nbsp;{$item.age}&nbsp;&nbsp;</span>
						<span class="float_left status{if $item.status eq $lang.status.on}_link{else}_text{/if}">{$item.status}</span><br/><br/>
						{if $item.location}{$item.location|truncate:30:"...":true}<br/>{/if}
						<span class="text_hidden">{$lang.users.upload_1}:&nbsp;{$item.photo_count} </span><br/>
						{if $form.show_users_group_str eq '1'}
							{$item.group}<br/>
						{/if}					
						<p class="text_hidden">
							{$lang.users.gender_search}&nbsp;
							{$item.gender_search} {$lang.users.from} 
							{$item.age_min} {$lang.users.to} {$item.age_max}
						</p>							
					</div>
					<div style="width:229px;" class="info_col" style="text-align: {$default_right};">
						<p style="text-align: {$default_right};">
							{if $item.date_registration_type == 1}
								{$item.date_registration_ago} {$lang.matches.minutes_ago}
							{/if}
							{if $item.date_registration_type == 2}
								{$item.date_registration_ago} {$lang.matches.hours_ago}
							{/if}
							{if $item.date_registration_type == 3}
								{$item.date_registration_ago} {$lang.matches.days_ago}
							{/if}
						</p>
						<p style="text-align: {$default_right};">
							{$item.date_registration}
						</p>
					</div>
				</div>	
			{/foreach}	
			{/if}			
			{/strip}
			</div>
			<!-- end results list -->
			{include file="$gentemplates/pagination_bottom.tpl"}	
		{/if}		
	</div>
{include file="$gentemplates/$footer_tpl"}