{include file="$gentemplates/$header_tpl"}
{strip}
<div class="content" style="height:1000px">
	<h1>{$lang.mobile.photogallery}</h1>
	<div id="gallery_ajax">
		<div class="gallery_users_block">
			{if $last_uploads ne 'no_photos'}
				{foreach item=item from=$last_uploads key=k}
				{if $item.id && $item.adult_allow eq '1'}
					<div class="gallery_result_block float_{$default_left}" id="gallery_block_{$item.id}">
						<div>
							<a class="imgcanvas_container" onclick="document.location.href='{$item.view_link}'">
								<img src="{$item.thumb_file}" class="cursorp"/>
							</a>
						</div>
					</div>
				{/if}
				{/foreach}
			{else}
				{$lang.mobile.photos_are_not_found}
			{/if}
			<div id="last_photo_block"></div>
		</div>
	</div>
</div>
{/strip}
{literal}
<script>
function LoadPhotos(){
	LoadingImage('block');
	var button_next = false;
	if(!button_next){
		LoadResult();
	}else{
		$('#last_photo_block').html('<input type="button" value="{/literal}{$lang.mobile.next_photo}{literal}" id="more_photos">');
	}
	$('#more_photos').click(function() {LoadResult();});
}
function LoadResult(){  
	var count_photo_block = $('.gallery_result_block').size();	
	if(!count_photo_block){LoadingImage('none');return;}
	$.ajax({
        url: "photogallery.php",
		data: {'count_photo_block':count_photo_block},
		type:'POST',
		success: function(data) {
				LoadingImage('none');
				if(data != ""){
					$('.content').css('height',$(document).height());
					$(".gallery_result_block:last").after(data);
				}else{
					$('#last_photo_block').addClass('hide');
				}
        }
    });
}

$(window).scroll(function(){
	if ($(window).scrollTop() == $(document).height() - $(window).height()){
		LoadPhotos();
	}
}); 
</script>
{/literal}
{include file="$gentemplates/$footer_tpl"}