{include file="$gentemplates/$header_tpl"}
{strip}
<div class="content">
	<h1>{$lang.mobile.find_people}</h1>
	
	<div id="quick_search_form">
		<form action="search.php" id="quick_search_form" method="post" enctype="multipart/form-data">
		<input type="hidden" name="sel" value="search" id="sel"/>
		<div class="list_elem">
			<label for="id_user_looking_type">{$lang.profile.looking_for}</label>
			<select name="id_user_looking_type" data-role="select">
			{foreach item=item from=$user_types_val}
				<option value="{$item.id}" {if $item.id eq $item.sel_for}selected{/if}>{$item.name}</option>
			{/foreach}
			</select>
		</div>
		<div class="list_elem">
			<div data-role="rangeslider" class="mb_btn">
				<div>
					<label for="age_min">{$lang.mobile.between_the_ages_of}:</label>
					<label for="age_max" style="display:none;"></label>
				</div>
				<div class="dicr">
					<input type="range" name="age_min" id="age_min" min="{$min_age_limit}" max="{$max_age_limit}" value="{if $user_age_val.min}{$user_age_val.min}{else}{$min_age_limit}{/if}">
					<input type="range" name="age_max" id="age_max" min="{$min_age_limit}" max="{$max_age_limit}" value="{if $user_age_val.max}{$user_age_val.max}{else}{$max_age_limit}{/if}">
				</div>
			</div>
		</div>
		<div class="list_elem">
			<div id="div_id_country">
				<select onchange="ChangeLocation(this, 'mobile');" name="id_country" id="country"  data-role="select">
					<option value="0" >{$lang.mobile.country}</option>
					{section name=a loop=$country}                                            
						<option value="{$country[a].id}">{$country[a].name}</option>
					{/section}
				</select>
			</div>
			<div class="ui-select" id="region_select">
				<div data-theme="c" class="ui-btn ui-btn-icon-right ui-btn-corner-all ui-shadow ui-btn-up-c">
					<span class="ui-btn-inner ui-btn-corner-all">
						<span class="ui-btn-text" id="region_name">{$lang.mobile.region}</span>
						<span class="ui-icon ui-icon-arrow-d ui-icon-shadow"></span>
					</span>
					<div id="region_div"></div>
				</div>
			</div>
			<div class="ui-select" id="city_select">
				<div data-theme="c" class="ui-btn ui-btn-icon-right ui-btn-corner-all ui-shadow ui-btn-up-c">
					<span class="ui-btn-inner ui-btn-corner-all">
						<span class="ui-btn-text" id="city_name">{$lang.mobile.city}</span>
						<span class="ui-icon ui-icon-arrow-d ui-icon-shadow"></span>
					</span>
					<div id="city_div"></div>
				</div>
			</div>
		</div>
		<div id="addition_pars">
			<div><input type="checkbox" name="with_photo" id="with_photo" value="1" />&nbsp;<label for="with_photo">{$lang.mobile.with_photo}</label></div>
			<div><input type="checkbox" name="online_now" id="online_now" value="1" />&nbsp;<label for="online_now">{$lang.mobile.online_now}</label></div>
		</div>
		<div id="btn">
			<input type="submit" value="{$lang.mobile.search_btn}" class="button"/>&nbsp;&nbsp;&nbsp;
			<a href="javascript:void(0)" onclick="resetFilters();">{$lang.mobile.reset}</a>
		</div>
		</form>
	</div>
</div>
{/strip}
<script>
var min_age_limit = {$min_age_limit};
var max_age_limit = {$max_age_limit};
{literal}
$(document).ready(function() {
	var sr = $('.list_elem').width()-20;
	$(".ui-slider").width(sr+'px');
	$("a[aria-labelledby=age_min-label]").addClass('ui-slider-handle-left');
	$("a[aria-labelledby=age_max-label]").addClass('ui-slider-handle-right');
	$('#div_id_country').click(function(){
		$('#region_name').text('{/literal}{$lang.mobile.region}{literal}');
		$('#city_name').text('{/literal}{$lang.mobile.city}{literal}');
	});
	$('#region_select').click(function(){
		if($("#region option:selected").val())
			$('#region_name').text($("#region option:selected").text());
	});
	$('#city_select').click(function(){
		if($("#city option:selected").val())
			$('#city_name').text($("#city option:selected").text());
	});
});
function resetFilters(){
	$("input:not(.button, #sel)").val("0");
	$("#country").val("0");
	$("#div_id_country > div > div > span > .ui-btn-text").html($("#country option:selected").text());
	$('#region_name').text('{/literal}{$lang.mobile.region}{literal}');
	$('#city_name').text('{/literal}{$lang.mobile.city}{literal}');
	$("#region_div").html("");
	$("#city_div").html("");
	$("#age_min").val(min_age_limit).slider("refresh");
	$("#age_max").val(max_age_limit).slider("refresh");
	$("input[type='checkbox']:checked").removeAttr("checked").checkboxradio("refresh");
}
{/literal}
</script>
{include file="$gentemplates/$footer_tpl"}