<div id="jquery_jplayer_cont" class="wall_events_jplayer_cont">
	<div class="icons wall_events_jplayer_close" onclick="closeAudioPlayer();"></div>
	
	<div id="jquery_jplayer" class="jp-jplayer"></div>
	<div id="jp_container_1" class="jp-audio">
		<div class="jp-type-single jp-single-player">
			<div class="jp-gui jp-interface">
				<div id="song_title" class="jp-title"></div>
				<ul class="jp-controls">
					<li><a href="javascript:;" id="jplayer_play" class="jp-play" tabindex="1"></a></li>
					<li><a href="javascript:;" id="jplayer_pause" class="jp-pause" tabindex="1"></a></li>
					<li><a href="javascript:;" id="jplayer_stop" class="jp-stop" tabindex="1"></a></li>
					<li><a href="javascript:;" id="jplayer_volume_min" class="jp-volume-min jp-mute" tabindex="1">{$lang.mute}</a></li>
					<li><a href="javascript:;" class="jp-volume-min jp-unmute" tabindex="1" title="unmute">{$lang.unmute}</a></li>
				</ul>
				<div class="jp-progress">
					<div id="jplayer_load_bar" class="jp-load-bar jp-seek-bar">
						<div id="jplayer_play_bar" class="jp-play-bar"></div>
					</div>
				</div>
				<div id="jplayer_volume_bar" class="jp-volume-bar">
					<div id="jplayer_volume_bar_value" class="jp-volume-bar-value"></div>
				</div>
				<div id="jplayer_play_time" class="jp-play-time jp-current-time"></div>
				<div id="jplayer_total_time" class="jp-total-time jp-duration"></div>
				<div id="jplayer_time_delimiter">/</div>
			</div>
		</div>
	</div>
</div>

{literal}
<script type="text/javascript">
	var current_track = null;
	
	function getNextTrack(){
		var next_btn = null;
		
		if(current_track){
			next_btn = $(current_track).parents('.audio_item').next().find('.play_audio_btn');
			if(!$(next_btn).size()){
				next_btn = $(current_track).parents('.audio_item').parent().find('.audio_item:first').find('.play_audio_btn');
				if(!$(next_btn).size()){
					next_btn = current_track;
				}
			}
		}
		return next_btn;
	}

	function playAudio(url, name, obj){
		obj = obj || null;
		current_track = obj;
		$('.audio_item').removeClass('active');
		$(current_track).parents('.audio_item').addClass('active');
		
		if(!$('#jquery_jplayer_cont').is(':visible')){
			bottom_str = "{/literal}{if $use_pilot_module_cometchat}+=128{else}+=102{/if}{literal}"; 
			$('#jquery_jplayer_cont').css({display: 'block', bottom: '-102px'}).animate({'bottom': bottom_str});
		}
		
		$("#jquery_jplayer").jPlayer({
			swfPath: "{/literal}{$server}{$index_theme_path}/js/Jplayer220.swf{literal}",
			solution: "html, flash",
			ready: function(){
				$(this).jPlayer("setMedia", {mp3:url}).jPlayer("play");
			},
			ended: function(){
				var next_btn = getNextTrack();
				if(next_btn){
					$(next_btn).click();
				}
			}
		}).jPlayer("setMedia", {mp3:url}).jPlayer("play");

		$('#song_title').html(name);
	}
	
	function closeAudioPlayer(){
		$("#jquery_jplayer").jPlayer('stop');
		$('#jquery_jplayer_cont').animate({'bottom': '-=102'}, 100, function(){$(this).hide();});
	}
</script>
{/literal}