<?php

include_once '../include/config.php';
include_once 'common.mobile.php';
include_once '../include/config_index.php';
include_once '../include/functions_auth.php';
include_once '../include/class.lang.php';
include_once 'class.mobile.php';
include_once '../include/functions_users.php';
include_once '../include/class.percent.php';

GetLangContent("registration", $config["path_lang"].$lang_file[0]);
GetLangContent("viewprofile", $config["path_lang"].$lang_file[0]);
$user = auth_index_user();

$smarty->assign('user_id', $user[0]);

$mobile = new Mobile();
$mobile->IsFileAllowed($user[0],'/viewprofile.php');
$smarty->assign("group_adult_allow", $mobile->CheckAdultAllow());
$multi_lang = new MultiLang($config, $dbconn);
///// default multilanguage field for select
$field_name = $multi_lang->DefaultFieldName();
if (!$user[8]) $mobile->ShowAlertPage();
$mobile->GoogleAnalytics($config["google_analytics_activate"], $config["manual_tracker_activate"]);
$sel = isset($_REQUEST['sel']) ? $_REQUEST['sel'] : '';
if ($user[0] == $_REQUEST["id"] && $sel!='delcomment'){
	return header('Location: homepage.php');
}
switch ($sel) {
	case 'page': ViewPage(); break;
	case 'wall': UserWall(); break;
	case 'vote': VoteAct(); break;
	case 'addtag': TagAct(); break;
	case 'deltag': DeleteTag(); break;
	case 'comment': LeaveComment(); break;
	case 'delcomment': DelComment(); break;
	case 'photos': PhotosPage(); break;
	case 'viewphoto': ViewPhoto(); break;
	case "add_blacklist": 		$res = AddToBlackList(); UserProfile(); break;
	case "delete_blacklist": DeleteFromList('black'); break;
	default: UserProfile(); break;
}

function UserProfile($id=null) {
	global $mobile, $dbconn, $user, $config, $smarty, $lang, $multi_lang, $field_name;

	$id_user = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 ? intval($_REQUEST['id']) : $id;
	if ($id_user == null) {
		$mobile->NotFound();
	}
	if( SearchLinkTable() == "guest_err"){
			$mobile->ShowAlertPage();
			return;
	}

	$strSQL = "SELECT a.date_birthday, uu.upload_path, a.id_city, b.name AS city_name, a.confirm, a.login, a.fname, a.sname, uu.id, e.id_user as session, ref.".$field_name." as user_type, ct.name AS country_name, rt.name AS region_name  
				FROM ".USERS_TABLE." a 
				LEFT JOIN ".USER_UPLOAD_TABLE." uu ON uu.id=a.icon_path
				LEFT JOIN ".ACTIVE_SESSIONS_TABLE." e on a.id=e.id_user
				LEFT JOIN ".REFERENCE_LANG_TABLE." ref ON ref.id_reference=a.user_type and table_key='".$multi_lang->TableKey(USERTYPES_SPR_TABLE)."'
				LEFT JOIN ".COUNTRY_SPR_TABLE." ct ON ct.id=a.id_country 
				LEFT JOIN ".REGION_SPR_TABLE." rt ON rt.id=a.id_region 
				LEFT JOIN ".CITY_SPR_TABLE." b ON b.id=a.id_city 
				WHERE a.id='".$id_user."' LIMIT 1";
	$rs = $dbconn->Execute($strSQL);
	if($rs->fields[0] != ""){
		$data['age'] = AgeFromBDate($rs->fields[0]);
		$dir = GetImagePath($id_user, $rs->fields[8], $config["photos_folder"]);
		$photos_default = DefUserTypeIcon($rs->fields[9]);
		$icon_path = $rs->fields[1] ? "thumb_".$rs->fields[1] : $photos_default;
		if ($icon_path != $photos_default)
			$data['icon_path'] = $dir.$icon_path;
		else
			$data['icon_path'] = $config['server'].$config["index_theme_path"].$config["index_theme_images_path"]."/".$icon_path;
			
		$data["id_city"] = $rs->fields[2];
		$data["user_type"] = $rs->fields[10];
		$data["country_name"] = $rs->fields[11];
		$data["region_name"] = $rs->fields[12];
		$data["city_name"] = $rs->fields[3];
		$data["confirm"] = $rs->fields[4];
		$data["login"] = chooseUserName($rs->fields[5], $rs->fields[6]." ".$rs->fields[7]);
		$data["id"] = $id_user;
		$data["status"] = $rs->fields[9]?$lang["mobile"]["status"]["on"]:$lang["mobile"]["status"]["off"];
	}else{
		$mobile->NotFound();
	}

	$strSQL = "SELECT COUNT(*) FROM ".USER_UPLOAD_TABLE." WHERE id_user='".$id_user."' AND upload_type='f' AND status='1' AND allow in ('1', '2')";
	$rs = $dbconn->Execute($strSQL);
	$data["photo_count"] = $rs->fields[0];

	$profile_percent = new Percent($config, $dbconn, $id_user);
	$data["complete"] = $profile_percent->GetAllPercent();

	$place = GetUserRatingPlace($id_user);
	if ($place != null) {
		$data['place'] = $place;
	}
	
	$couple = function_exists('CheckCouple') ? CheckCouple($user[0]) : 0;
	$where_couple = $couple ? " OR id_user='{$couple}' " : '';
	
	$strSQL = "SELECT id FROM ".HOTLIST_TABLE." WHERE (id_user='{$user[0]}' {$where_couple}) AND id_friend='{$id_user}'";
	$data['in_hot_list'] = $dbconn->Execute($strSQL)->RecordCount();

	$strSQL = "SELECT id FROM ".BLACKLIST_TABLE." WHERE (id_user='{$user[0]}' {$where_couple}) AND id_enemy='{$id_user}'";
	$data['in_black_list'] = $dbconn->Execute($strSQL)->RecordCount();
	
	$pages = $mobile->GetProfilePages();
	$smarty->assign('pages', $pages);

	$smarty->assign('data', $data);
	$smarty->assign('thispage', 'viewprofile');

	$smarty->display(TrimSlash($config['index_theme_path']).'/mobile_viewprofile_page'.$config['theme_postfix'].'.tpl');
}

function ViewPage() {
	global $mobile, $dbconn, $user, $config, $smarty, $multi_lang, $field_name, $profile_percent2, $lang;

	$id = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 ? intval($_REQUEST['id']) : null;
	if ($id == null) {
		$mobile->NotFound();
	}
	$form['id'] = $id;
	$page = (isset($_REQUEST["page"]) && intval($_REQUEST["page"]) > 0) ? intval($_REQUEST["page"]) : 1;
	if($page==1){
		$page_str = " '1', '2', '4' ";
		$order_by = " ORDER BY id ";
	}else{
		$page_str = " '3' ";
		$order_by = " ORDER BY page_position ";
	}
	$multi_lang = new MultiLang($config, $dbconn);
	$field_name = $multi_lang->DefaultFieldName();
	$profile_percent2 = new Percent($config, $dbconn, $id);

	$category = array();

	$strSQL = "SELECT id, name_for_lang, type, is_system, mandatory, position_text, elem_html, category, page_position, couple, tbl, val, page, page_position FROM ".ELEMENTS." WHERE page IN (".$page_str.") AND page_position > 0 ".$order_by.";";
	$rs = $dbconn->Execute($strSQL);
	$elements = array();
	if($rs->fields[0] != ""){
		$i = 0;
		while(!$rs->EOF){
			$elements[$i]["id"] = $rs->fields[0];
			$elements[$i]["name_for_lang"] = $rs->fields[1];
			$elements[$i]["type"] = $rs->fields[2];
			$elements[$i]["is_system"] = intval($rs->fields[3]);
			$elements[$i]["mandatory"] = intval($rs->fields[4]);
			$elements[$i]["position_text"] = $rs->fields[5];
			$elements[$i]["elem_html"] = $rs->fields[6];
			$elements[$i]["category"] = $rs->fields[7];
			if(!in_array($rs->fields[7], $category))
			$category[] = $rs->fields[7];
			$elements[$i]["page_position"] = $rs->fields[8];
			$elements[$i]["couple"] = 0;
			$elements[$i]["tbl"] = $rs->fields[10];
			$elements[$i]["val"] = $rs->fields[11];
			$elements[$i]["page"] = $rs->fields[12];
			$elements[$i]["page_position"] = $rs->fields[13];
			$rs->MoveNext();
			$i++;
		}
	}

	foreach($category as $key => $value){ // преобразуем smarty код в элементах в html
		switch($value){
			case "personal":
				PersonalTable($id);
				break; // --------------
			case "description":
				DescriptionTable($id);
				$cat[$value] = "data_2";
				break;
			case "personality":
				MyPersonalityTable($id);
				$cat[$value] = "data_4";
				break;

			case "portrait":
				MyPortraitTable($id);
				$cat[$value] = "data_5";
				break;

			case "interests":
				MyInterestsTable($id);
				$cat[$value] = "data_6";
				break;

			case "partner_criteria":
				MyCriteriaTable($id);
				$cat[$value] = "data_7";
				break;

			case "partner_interests":
				HisInterestsTable($id);
				$cat[$value] = "data_8";
				break;

			case "custom":
				CustomTable($id);
				$cat[$value] = "custom";
				break;
		}
	}

	$set_arr = array("show_users_zipcode_str", "show_users_birthdate_str", "show_users_comments");
	$settings = GetSiteSettings($set_arr);


	$elements = GetViewForElements($elements, $cat, 0);
	foreach($elements as $key => $value){
		if($value["name_for_lang"] == "email"){
			unset($elements[$key]);
			continue;
		}
		if($elements[$key]["name_for_lang"] == 'phone'){
			unset($elements[$key]);
			continue;
		}


		if($elements[$key]["name_for_lang"] == 'zipcode' && !$settings["show_users_zipcode_str"]){
			unset($elements[$key]);
			continue;
		}
		if($elements[$key]["name_for_lang"] == 'date_birthday' && !$settings["show_users_birthdate_str"]){
			unset($elements[$key]);
			continue;
		}
		if($elements[$key]["name_for_lang"] == 'comments' && !$settings["show_users_comments"]){
			unset($elements[$key]);
			continue;
		}
	}

	foreach ($elements as $key => $row) {
		$pages[$elements[$key]['page']] = "";
		$couples[$key] = $elements[$key]['couple'];
		$page[$key]  = $elements[$key]['page'];
		$page_position[$key] = $elements[$key]['page_position'];
	}

	array_multisort($page, SORT_ASC, $couples, SORT_ASC, $page_position, SORT_ASC, $elements);
	unset($page, $page_position, $pages);

	$form['page'] = 1;
	$smarty->assign("form", $form);
	$smarty->assign("active_user_info", GetActiveUserInfo($user));

	$smarty->assign("elements", $elements);
	$smarty->assign("lang", $lang);

	$smarty->display(TrimSlash($config['index_theme_path']).'/mobile_viewprofile_view_page'.$config['theme_postfix'].'.tpl');

}


function UserWall($par='', $err = '') {
	global $mobile, $dbconn, $user, $config, $smarty, $settings, $lang, $servers;

	$id = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 ? intval($_REQUEST['id']) : null;
	if ($id == null) {
		$mobile->NotFound();
	}

	$page = (isset($_REQUEST["page"]) && intval($_REQUEST["page"]) > 0) ? intval($_REQUEST["page"]) : 1;

	if (isset($par) && $par == 'deltag') {
		$tag = (isset($_REQUEST["tag"]) && intval($_REQUEST["tag"]) > 0) ? intval($_REQUEST["tag"]) : '';
		$strSQL= "DELETE FROM ".TAGS_TABLE." WHERE id_user = '".$user[0]."' AND id = '".$tag."'";
		$dbconn->Execute($strSQL);
		header('Location: homepage.php?sel=wall');
	}
	include_once "../include/class.wall_events.php";
	$events = new WallEvents($user, $config, $settings, $dbconn, $lang, $servers);
	$events->mobile = true;
	$events->events_per_req = 35;
	$events_arr = $events->GetUserEvents('user_wall', $id);
	if(isset($events_arr['events'])){
		include_once "../include/class.comments.php";
		$comments = new Comments($user, $config, $settings, $dbconn, $smarty);
		foreach($events_arr['events'] as &$event_obj){
			if($event_obj['gid'] == 'wall'){
				$event_obj['comments_count'] = $comments->get_comments_count('wall', $event_obj['id']);
			}
		}
	}
	$smarty->assign('events', $events_arr);
	
	$message = isset($_REQUEST['message']) && $_REQUEST['message'] !='' ? strip_tags(trim($_REQUEST['message'])) : '';
	$smarty->assign('message', $message);
	$smarty->assign('error', $err);

	VotingTable($id);
	TagsTable($id);

	if (isset($smarty->_tpl_vars['comments_links'])) {
		$param = $config['server']."/m/viewprofile.php?sel=wall&id=".$id."&";
		$smarty->assign("comments_links", GetLinkArray($num_records,$page,$param,6));
	}
	$smarty->assign("id", $id);
	$smarty->display(TrimSlash($config['index_theme_path']).'/mobile_viewprofile_wall_page'.$config['theme_postfix'].'.tpl');
}

function TagsTable($id='') {
	global $lang, $config, $config_index, $smarty, $dbconn, $user;

	$data = array();

	$strSQL = "SELECT DISTINCT tag, COUNT(id) AS tag_count FROM ".TAGS_TABLE." WHERE id_user = '".$id."' GROUP BY tag ORDER BY tag";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$data["user_tags"][$i]["tag"] = stripslashes($row["tag"]);
		$data["user_tags"][$i]["count"] = $row["tag_count"];
		$rs->MoveNext();
		$i++;
	}
	$strSQL = "SELECT id, tag FROM ".TAGS_TABLE." WHERE id_user = '".$id."' AND id_creator = '".$user[0]."' ORDER BY tag";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$data["my_tags"][$i]["tag"] = stripslashes($row["tag"]);
		$data["my_tags"][$i]["dellink"] = "viewprofile.php?sel=deltag&id=".$id."&tag=".$row["id"];
		$rs->MoveNext();
		$i++;
	}
	$smarty->append("data_10", $data, true);
	return;
}

function VoteAct() {
	global $mobile, $dbconn, $user, $config, $smarty;

	$id_upload = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 && intval($_REQUEST['id']) != $user[0] ? intval($_REQUEST['id']) : null;
	$vote = isset($_REQUEST['rate']) ? intval($_REQUEST['rate']) : 0;
	$upload_type = "f";
	
	$strSQL_1 = " SELECT id FROM ".GALLERY_RATING_TABLE." WHERE id_upload='".$id_upload."' AND id_user = '".$user[0]."'";
	$rs = $dbconn->Execute($strSQL_1);
	if ($rs->fields[0] > 0){
		$strSQL = "UPDATE ".GALLERY_RATING_TABLE." SET id_upload = '".$id_upload."', id_user = '".$user[0]."', estimation = '".$vote."', voting_date = now(), upload_type = '".$upload_type."' WHERE id = '".$rs->fields[0]."'";
	}
	else{
		$strSQL = "INSERT INTO ".GALLERY_RATING_TABLE." (id_upload, id_user, estimation, voting_date, upload_type )
					VALUES ('".$id_upload."', '".$user[0]."', '".$vote."', now(), '".$upload_type."') ";
	}
	$rs = $dbconn->Execute($strSQL);

	if ($rs){
		echo "ok";
	}
	else 
		echo "no photo";
}

function TagAct() {
	global $mobile, $dbconn, $user, $config, $smarty;

	$id = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 && intval($_REQUEST['id']) != $user[0] ? intval($_REQUEST['id']) : null;
	if ($id == null) {
		$mobile->NotFound();
	}

	$tag_arr = explode(" ", $_POST["tag"]);

	foreach ($tag_arr as $key => $value) {
		$tag = mysql_escape_string(strip_tags(trim($value)));
		if ($tag != '') {
			$rs = $dbconn->Execute("SELECT id FROM ".TAGS_TABLE." WHERE id_creator = '".$user[0]."' and id_user= '".$id."' AND tag = '".$tag."'");
			if(!$rs->fields[0]) {
				$strSQL = "INSERT INTO ".TAGS_TABLE." (id_creator, id_user, create_date, tag) VALUES ('".$user[0]."', '".$id."', '".date("Y-m-d H:i:s")."', '".$tag."')";
				$dbconn->Execute($strSQL);
			}
		}
	}

	header("Location: viewprofile.php?sel=wall&id=".$id);
}

function DeleteTag() {
	global $mobile, $dbconn, $user, $config, $smarty;
	$id = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 && intval($_REQUEST['id']) != $user[0] ? intval($_REQUEST['id']) : null;
	$id_tag = isset($_REQUEST['tag']) && intval($_REQUEST['tag']) > 0? intval($_REQUEST['tag']) : null;
	if ($id == null || $id_tag == null ) {
		$mobile->NotFound();
	}

	$strSQL= "DELETE FROM ".TAGS_TABLE." WHERE id_creator = '".$user[0]."' AND id_user = '".$id."' and id = '".$id_tag."'";
	$dbconn->Execute($strSQL);

	header("Location: viewprofile.php?sel=wall&id=".$id);
}

function LeaveComment() {
	global $mobile, $dbconn, $user, $config, $smarty, $settings, $lang, $servers;

	$id = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 && intval($_REQUEST['id']) != $user[0] ? intval($_REQUEST['id']) : 0;
	$message = isset($_REQUEST['message']) && $_REQUEST['message'] !='' ? strip_tags(trim($_REQUEST['message'])) : '';
	if (!$id || !$message) {
		return header("Location: viewprofile.php?sel=wall&id=".$id);
	}

	include_once "../include/class.wall_events.php";
	$type = 'user_wall';
	$events = new WallEvents($user, $config, $settings, $dbconn, $lang, $servers);
	if($events->BadWordsFilter($message)){
		UserWall('', $lang['err']['badword_finding_1']);
		return;
	}
	$event_data['id_object'] = $event_data['data']['id'] = $id ? $id : $user[0];
	$event_data['id_wall'] = $id ? $id : $user[0];
	$event_data['data']['text'] = $message;
	$event_data['id_user'] = $user[0];
	$event_id = $events->CreateEvent('wall', $event_data);

	//PostComment($id, $message);
	header("Location: viewprofile.php?sel=wall&id=".$id);
	return;
}

function DelComment() {
	global $mobile, $dbconn, $user, $config, $smarty, $lang, $servers, $settings;

	$id_comment = isset($_REQUEST['id_comment']) && intval($_REQUEST['id_comment']) > 0? intval($_REQUEST['id_comment']) : null;
	if (!$id_comment) {
		exit('0');
	}
	
	include_once "../include/class.wall_events.php";
	$type = 'user_wall';
	$events = new WallEvents($user, $config, $settings, $dbconn, $lang, $servers);
	$is_deleted = $events->DeleteEvents($id_comment, 'wall', false, $user[0]);

	if($is_deleted){
		include_once "../include/class.comments.php";
		$comments = new Comments($user, $config, $settings, $dbconn, $smarty);
		$comments->delete_object_comments('wall', $id_comment);
		exit('1');
	}

	exit('0');
}

//photos only, all users photos, adult content shown
function PhotosPage() {
	global $mobile, $dbconn, $user, $config, $smarty;

	$photos_numpage = 6;

	$id = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 && intval($_REQUEST['id']) != $user[0] ? intval($_REQUEST['id']) : null;
	if ($id == null) {
		$mobile->NotFound();
	}
	$strSQL = "SELECT login, fname, sname FROM ".USERS_TABLE." WHERE id='".$id."'";
	$rs = $dbconn->Execute($strSQL);
	$data["login"] = chooseUserName($rs->fields[0], $rs->fields[1]." ".$rs->fields[2]);
	
	$couple = function_exists('CheckCouple') ? CheckCouple($user[0]) : 0;
	$where_couple = $couple ? " OR id_user='{$couple}' " : '';
	$strSQL = "SELECT id FROM ".BLACKLIST_TABLE." WHERE (id_user='{$user[0]}' {$where_couple}) AND id_enemy='{$id}'";
	$data['in_black_list'] = $dbconn->Execute($strSQL)->RecordCount();

	$photo_n = isset($_REQUEST['photo_n']) ? intval($_REQUEST['photo_n']) : 0;
	$upload_type = 'f';
	$couple = CheckCouple($user[0]);
    if($couple > 0) $where_couple = " or id_friend='".$couple."' ";
    else $where_couple = "";
	$rs = $dbconn->Execute("select count(*) from ".HOTLIST_TABLE." where id_user='".$id."' and (id_friend='".$user[0]."' $where_couple)");
	if($rs->fields[0]>0){
		$allow = " and allow in (1, 2, 3)"; /// select uploads for all type permissions(guest, user, friend)
	}elseif($user[3] == 0 && $user[0]>0){ ////// user registerd
		$allow = " and allow in (1, 2)";
	}else{
		$allow = " and allow =1";
	}

	$strSQL = " SELECT id FROM ".USER_UPLOAD_TABLE." WHERE id_user='".$id."' ".$allow." AND status='1' AND upload_type='".$upload_type."' ORDER BY id DESC";
	$rs = $dbconn->Execute($strSQL);
	$num_records = $rs->_numOfRows;

	$_arr = array();
	while(!$rs->EOF) {
		array_push($_arr, $rs->fields[0]);
		$rs->MoveNext();
	}

	$_SESSION['user_photos'][$id] = $_arr;

	$data["num_items"] = $num_records;
	$data["page"] = $photo_n;
	$data["page_name"] = "viewprofile.php";
	$data["photo_n"] = $photo_n+1;

	$lim_min = $photo_n?$photo_n:0;
	$lim_max = $photos_numpage;
	$limit_str = " LIMIT ".$lim_min.", ".$lim_max;

	if ($num_records > 0) {
		
		$strSQL = " SELECT DISTINCT uu.id, uu.upload_path, uu.allow, uu.user_comment, uu.is_gallery, uu.id_gallery, s.site_path, s.server, uu.is_adult, uu.gallery_rate, uu.views
					FROM ".USER_UPLOAD_TABLE." uu
					LEFT JOIN ".USERS_TABLE." ut ON ut.id=uu.id_user
					LEFT JOIN ".SERVERS_TABLE." s ON s.id_servers=uu.id_servers
					WHERE uu.id_user='".$id."' ".$allow." AND ut.icon_path_temp!=uu.id AND uu.upload_type='".$upload_type."'
					GROUP BY uu.id ORDER BY uu.id DESC";
		$i = 0;
		$rs = $dbconn->Execute($strSQL);
		while(!$rs->EOF) {
			$row = $rs->GetRowAssoc(false);
			$data["photo"][$i]["id"] = $row["id"];
			$data["photo"][$i]["allow"] = $row["allow"];
			$data["photo"][$i]["user_comment"] = stripslashes($row["user_comment"]);

			$thumb_path = $row["site_path"].$config['photos_folder']."/".$row["upload_path"];

			if(strlen($row["upload_path"])>0){
				$dir = GetImagePath($id, $row["id"], $config["photos_folder"]);
				$data["photo"][$i]["thumb_file"] = $dir."main_thumb_".$row["upload_path"];
			}

			$data["photo"][$i]["is_adult"] = $row["is_adult"];
			$data["photo"][$i]["views"] = $row["views"];
			$data["photo"][$i]["gallery_rate"] = $row["gallery_rate"];
			if(!$mobile->CheckAdultAllow() && $row["is_adult"]==1){
				$data["photo"][$i]["adult_allow"] = 0;
			}else{
				$data["photo"][$i]["adult_allow"] = 1;
			}
			$rs->MoveNext();
			$i++;
		}
		$param = $config['server']."/m/viewprofile.php?sel=photos&id=".$id."&";
		if ($num_records > $photos_numpage) {
			$smarty->assign("photos_links", GetLinkArray($num_records, $page, $param, $photos_numpage));
		}

	} else {
		$data['photo'] = 'no_photos';
	}
	$smarty->assign('data',$data);
	$smarty->assign('thispage','viewphoto_page');
	$smarty->assign("id", $id);
	$smarty->display(TrimSlash($config['index_theme_path']).'/mobile_profile_photos_list'.$config['theme_postfix'].'.tpl');
}

function ViewPhoto() {
	global $mobile, $dbconn, $user, $config, $smarty;

	$upload_type = 'f';

	$id = isset($_REQUEST['id']) && intval($_REQUEST['id']) > 2 && intval($_REQUEST['id']) != $user[0] ? intval($_REQUEST['id']) : null;
	$photo_id = isset($_REQUEST['photo_id']) && intval($_REQUEST['photo_id']) > 0 ? intval($_REQUEST['photo_id']) : null;
	if ($id == null || $photo_id == null) {
		$mobile->NotFound();
	}

	$page = isset($_REQUEST['page']) && intval($_REQUEST['page']) > 0 ? intval($_REQUEST['page']) : 1;

	$strSQL = "SELECT login, fname, sname FROM ".USERS_TABLE." WHERE id='".$id."'";
	$rs = $dbconn->Execute($strSQL);
	$data["login"] = chooseUserName($rs->fields[0], $rs->fields[1]." ".$rs->fields[2]);
	$data["page_link"] = $config["server"]."/m/viewprofile.php?id=".$id;

	$smarty->assign("id", $id);
	$smarty->assign("page", $page);

	$strSQL="UPDATE ".USER_UPLOAD_TABLE." SET views=views+1 WHERE id = '".$photo_id."'";
	$dbconn->Execute($strSQL);


	$strSQL = " SELECT DISTINCT uu.id, uu.upload_path, uu.user_comment, uu.is_gallery, uu.id_gallery, s.site_path, s.server, uu.gallery_rate, uu.views, SUM(gr.estimation) estimation
				FROM ".USER_UPLOAD_TABLE." uu
				LEFT JOIN ".GALLERY_RATING_TABLE." gr ON gr.id_upload=uu.id
				LEFT JOIN ".SERVERS_TABLE." s ON s.id_servers=uu.id_servers
				WHERE uu.id_user='".$id."' AND uu.upload_type='".$upload_type."' AND uu.id='".$photo_id."'";
	$rs = $dbconn->Execute($strSQL);
	if ($rs->fields[0] > 0) {
		$row = $rs->GetRowAssoc(false);
		$data["id"] = $row["id"];
		$data["id_user"] = $id;
		$data["file_path"] = $row["upload_path"];
		$data["user_comment"] = stripslashes($row["user_comment"]);
		$data["is_gallery"] = $row["is_gallery"];
		$data["id_gallery"] = $row["id_gallery"];
		$data["site_path"] = $row["site_path"];
		$data["server"] = $row["server"];
		$data["views"] = $row["views"];
		$data["rating"] = $row["estimation"]?$row["estimation"]:0;
		$dir = GetImagePath($id, $row["id"], $config["photos_folder"]);
		$data["main_file"] = $dir.$data["file_path"];
		$size = getimagesize($data["main_file"]);
		$data["width"] = $size[0];
		$data["height"] = $size[1];
		$data["page_name"] = "viewprofile.php";


		if (isset($_SESSION['user_photos'][$id]) && is_array($_SESSION['user_photos'][$id]) && sizeof($_SESSION['user_photos'][$id]) > 0) {
			$key = array_search(intval($photo_id), $_SESSION['user_photos'][$id]);
			if ($key == 0) {
				$data['nav']['next'] = $_SESSION['user_photos'][$id][$key+1];
				$data['nav']['prev'] = '';
			} elseif ($key == (sizeof($_SESSION['user_photos'][$id])-1)) {
				$data['nav']['prev'] = $_SESSION['user_photos'][$id][$key-1];
				$data['nav']['next'] = '';
			} else {
				$data['nav']['next'] = $_SESSION['user_photos'][$id][$key+1];
				$data['nav']['prev'] = $_SESSION['user_photos'][$id][$key-1];
			}
		}
		$strSQL = " SELECT uu.id_user, gr.estimation
						FROM ".USER_UPLOAD_TABLE." uu
						LEFT JOIN ".GALLERY_RATING_TABLE." gr ON gr.id_upload=uu.id AND gr.id_user='".$user[0]."'
						WHERE uu.id='".$photo_id."'
						";
		$rs = $dbconn->Execute($strSQL);
		if ( $rs->fields[0] == $user[0] || $rs->fields[1]>0 ) {
			$data["no_rating"] = 1;
		}
		$_arr = range(1,10);
		$smarty->assign("vote_arr", $_arr);

		$data['vote_icon_1_path'] = $config['server'].$config["index_theme_path"].$config["index_theme_images_path"]."/mobile/heart2.png";
		$data['vote_icon_0_path'] = $config['server'].$config["index_theme_path"].$config["index_theme_images_path"]."/mobile/heart1.png";

		$smarty->assign('data',$data);

		$smarty->display(TrimSlash($config['index_theme_path']).'/mobile_profile_photo_page'.$config['theme_postfix'].'.tpl');

	} else {
		$mobile->NotFound();
	}
}

function DeleteFromList($list){
	global $dbconn, $user;
	
	$id = isset($_REQUEST['id']) ? intval($_REQUEST['id']) : 0;
	if(!$id){
		return false;
	}
	$couple = function_exists('CheckCouple') ? CheckCouple($user[0]) : 0;
	$where_couple = $couple ? " OR id_user='{$couple}' " : '';
	switch($list){
		case 'hot':
			$table = HOTLIST_TABLE;
			$field = 'id_friend';
			break;
		case 'black':
			$table = BLACKLIST_TABLE;
			$field = 'id_enemy';
			break;
	}

	$strSQL = "DELETE FROM {$table} WHERE (id_user='{$user[0]}' {$where_couple}) AND {$field}='{$id}'";
	$res = $dbconn->Execute($strSQL);
	if($res){
		return true;
	}else{
		return false;
	}
}

function SearchLinkTable(){
	global $lang, $config, $config_index, $smarty, $dbconn, $user, $multi_lang, $field_name, $settings;

	$id = isset($_GET["id"])?intval($_GET["id"]):0;
	$search_type = isset($_GET["search_type"])?$_GET["search_type"]:"";
	if (isset($_GET["login"])) {
		$login = FormFilter($_GET["login"]);
		$rs = $dbconn->Execute("select id from ".USERS_TABLE." where login = '".$login."'");
		if ($rs->fields[0]) $id = $rs->fields[0];
		else exit;
	}

	//// if user is guest
	if($user[3]==1){
		$guest_profile_limit = $settings['guest_profile_limit'];
		$used_lim = isset($_SESSION["guest_profile_limit"])?count($_SESSION["guest_profile_limit"]):0;
		if( ($used_lim < $guest_profile_limit) || ( ($used_lim == $guest_profile_limit)  && $_SESSION["guest_profile_limit"][$id]==1) ){
			$_SESSION["guest_profile_limit"][$id] = 1;
		}
		if( ($used_lim > $guest_profile_limit) || ( ($used_lim == $guest_profile_limit)  && $_SESSION["guest_profile_limit"][$id]==0) ){
			return "guest_err";
		}
	}

	///////// insert entry in profile_visit table there
	if(($user[0] != 1) && ($user[0] != 2)){
        $rs = $dbconn->Execute("select count_of_visits from ".PROFILE_VISIT_TABLE." where id_user = '".$id."' and id_visiter = '".$user[0]."'");
    	if($rs->fields[0] > 0)
    	$strSQL= "UPDATE ".PROFILE_VISIT_TABLE." SET  count_of_visits = count_of_visits+1, visit_date='".date("Y-m-d H:i:s")."'  WHERE id_user ='".$id."' AND id_visiter = '".$user[0]."' ";
    	else
    	$strSQL= "INSERT INTO ".PROFILE_VISIT_TABLE." (id_user, id_visiter, visit_date, count_of_visits) VALUES ( '".$id."', '".$user[0]."', '".date("Y-m-d H:i:s")."', '1')";
    	$dbconn->Execute($strSQL);
    }
	
	///// next/previous/back links
	$id_arr = isset($_SESSION["id_arr"])?array_values($_SESSION["id_arr"]):array();
	$id_couple_arr = isset($_SESSION["id_couple_arr"])?$_SESSION["id_couple_arr"]:array();
	$id_couple = array_search($id, $id_couple_arr);
	$nav["count"] = count($id_arr);
	if(count($id_arr)>0){
		foreach ($id_arr as $key => $value) {
			if($value == $id || ($id_couple !== false && $value == $id_couple)){
				$curent_key = $key;
				$prev_key = $key-1;
				$next_key = $key+1;
				break;
			}
		}                
		if(isset($curent_key)){
			switch($search_type){
				case "q": $search_file = seo("quick_search")."?par=back&amp;sel=search"; break;
				case "q_new": $search_file = seo("quick_search")."?par=back&amp;sel=search_new"; break;
				case "q_h": $search_file = seo("quick_search")."?par=back&amp;sel=search_h"; break;
				case "q_on": $search_file = seo("quick_search")."?par=back&amp;sel=search_on"; break;
				case "q_name": $search_file = seo("quick_search")."?par=back&amp;sel=search_name"; break;
				case "q_bd": $search_file = seo("quick_search")."?par=back&amp;sel=search_bd"; break;
				case "q_keyword": $search_file = seo("quick_search")."?par=back&amp;sel=search_keyword"; break;
				case "q_tag": $search_file = seo("quick_search")."?par=back&amp;sel=search_tag"; break;
				case "q_top": $search_file = seo("quick_search")."?par=back&amp;sel=search_top"; break;
				case "a": $search_file = seo("advanced_search")."?par=back&amp;sel=search"; break;
				case "v": $search_file = seo("visit_my_page")."?par=back&amp;sel=search"; break;
				case "p": $search_file = seo("perfect_match")."?par=back&amp;sel=search"; break;
				case "h": $search_file = seo("hotlist")."?par=back&amp;sel=search"; break;
				case "b": $search_file = seo("blacklist")."?par=back&amp;sel=search"; break;
				case "ki": $search_file = seo("kisses")."?par=i"; break;
				case "kme": $search_file = seo("kisses")."?par=me"; break;
				case "mt": $search_file = seo("meet_them")."?par=back&amp;sel=search"; break;
				case "mm": $search_file = seo("meet_me")."?par=back&amp;sel=search"; break;
				default: $search_file = seo("quick_search")."?par=back&amp;sel=search";
			}
			$page = isset($_REQUEST["page"]) ? intval($_REQUEST["page"]) : 1;
			//$nav["curent_key"] = $nav["count"]-1-$prev_key;
			$nav["curent_key"] = $curent_key+1;
			if ($user[3] != 1) $nav["back_link"] = $config["server"]."/".$search_file."&amp;page=".$page;
		}
		if(isset($prev_key) && isset($id_arr[$prev_key]) && $id_arr[$prev_key] !=0){
			if ($user[3] != 1) $nav["prev_link"] = $config["server"]."/m/viewprofile.php?id=".$id_arr[$prev_key]."&amp;search_type=".$search_type."&amp;page=".$page;
		}
		if(isset($next_key) && isset($id_arr[$next_key]) && $id_arr[$next_key] !=0){
			if ($user[3] != 1) $nav["next_link"] = $config["server"]."/m/viewprofile.php?id=".$id_arr[$next_key]."&amp;search_type=".$search_type."&amp;page=".$page;
		}
		$smarty->assign("search_link", $nav);
	}

	return "";
}
?>