{if $answers}
<div class="answ_content">
	{foreach name=answers from=$answers item=item}
	<div class="overflowhidden" style="margin-bottom: 10px;">
		<div class="float_left" style="margin-{$default_right}: 10px;">
			{if $item.id_owner && !$item.root_user}
				<a class="imgcanvas_container" href="{$item.profile_link}"><img alt="" class="imgcanvas" src="{$item.icon_url}" border="0"/></a>
			{else}
				<a class="imgcanvas_container"><img class="imgcanvas" alt="" src="{$item.icon_url}" border="0"/></a>
			{/if}
			<br />
			{if $item.id_owner && !$item.root_user}
				<a href="{$item.profile_link}">{$item.name}</a>
			{else}
				{$item.name}
			{/if},&nbsp;{if !$item.root_user}{$item.age}{/if}			
		</div>
		<div>
			<span class="text_head">{$lang.answers.answered}:</span> {if !$item.life_time}{$lang.answers.asked_now}{else}{$item.life_time} {$lang.answers.ago}{/if}<br />
			{if $item.id == $form.id_best}<span class="text_head">{$lang.answers.best_answer_header}</span><br />{/if}
			<div class="wysiwyg_content">{$item.text}</div>
			{if $form.owner && !$form.id_best}
			<p>
				<a href="#" onClick="makeBest('{$item.id}','{$form.id_parent}'); return false;">{$lang.answers.make_best}</a>
			</p>
			{/if}
		</div>
	</div>
	{/foreach}
	<div class="search_link">
		<div class="sorting-long">
			<div class="b-page-n">
				{foreach item=item from=$link_arr_answ}
					{if $item.first_page eq 1}
						<a href="#" onclick="goToAnswerPage('{$item.page}','{$form.id_parent}'); return false;" class="first-page-act" title="{$lang.general.first}">&nbsp;</a>
					{elseif $item.first_page eq 2}
						<a href="javascript: void(0);" class="first-page">&nbsp;</a>
					{/if}
					
					{if $item.previous_page eq 1}
						<a href="#" onclick="goToAnswerPage('{$item.page}','{$form.id_parent}'); return false;" class="back-page-act" id="back-page-act_bottom" alt="{$lang.default_select.back}" title="{$lang.general.prev}">&nbsp;</a>
					{elseif $item.previous_page eq 2}
						<a href="javascript: void(0);" class="back">&nbsp;</a>
					{/if}
					
					{if $item.selected}
						<a href="javascript: void(0);" onclick="goToAnswerPage('{$item.page}','{$form.id_parent}'); return false;" class="act-page">{$item.name}</a>
					{else}
						<a href="#" onclick="goToAnswerPage('{$item.page}','{$form.id_parent}'); return false;">{$item.name}</a>
					{/if}
					
					{if $item.delimiter}
						{$item.delimiter}
					{/if}
					
					{if $item.next_page eq 1}
						<a href="#" onclick="goToAnswerPage('{$item.page}','{$form.id_parent}'); return false;" class="next-page-act" id="next-page-act_bottom" alt="{$lang.default_select.next}" title="{$lang.general.next}">&nbsp;</a>
					{elseif $item.next_page eq 2}
						<a href="javascript: void(0);" class="next">&nbsp;</a>
					{/if}
						
					{if $item.last_page eq 1}
						<a href="#" onclick="goToAnswerPage('{$item.page}','{$form.id_parent}'); return false;" class="last-page-act" title="{$lang.general.last}">&nbsp;</a>
					{elseif $item.last_page eq 2}
						<a href="javascript: void(0);" class="last-page">&nbsp;</a>
					{/if}	
				{/foreach}
			</div>
		</div>
	</div>
</div>
	<input type="hidden" id="answer_page_num{$form.id_parent}" value="{$form.page}" />
</div>
{/if}