{include file="$gentemplates/$header_tpl"}

<div class="float_left">
	<h2>{$lang.section.banners}
	</h2>
</div>

<div class="float_right">
	<a href="{$file_name}?sel=add" class="add-icon float_right" style="font-size:12px;" title="{$lang.button.add}">&nbsp;</a>
</div>

<div id="banners_table">
	<hr style="margin: 0 0 10px 0; width: 100%">
	<p>{$lang.banners.comments}</p>
{if $all_banners}
<dl style="overflow:hidden;">
	<dt class="first" style="width:29%">{$lang.banners.status}</dt>
	<dt class="first" style="width:20%">{$lang.banners.banner}</dt>
	<dt class="first" style="width:20%">{$lang.banners.link}</dt>
	<dt class="first" style="width:20%">{$lang.banners.place}</dt>
	<dt class="first" style="width:7%">&nbsp;</dt>
</dl>
{foreach name=b from=$all_banners item=one_banner}
	<dl style="overflow:hidden;">
		<dt style="width:29%; padding-left:5px;">
			{if $one_banner.payment_status == 'toaprove'}
			{$lang.banners.to_aprove}
			{elseif $one_banner.payment_status == 'topay'}
			{$lang.banners.to_pay}
			{elseif $one_banner.payment_status == 'payed'}
			{$lang.banners.aproved}<br />
			<input type="checkbox" name="comments" disabled="disabled" {if $one_banner.status eq 1}checked="checked"{/if}>
			{/if}
			{if $one_banner.payment_status == 'payed'}
			<br />
				{if $one_banner.stoped_by_date}
				  {$lang.banners.stoped_by_date}!
				{elseif $one_banner.stop_after_date neq "0000-00-00"}
				 {if $one_banner.stop_after_date neq "0000-00-00"}
				   {$lang.banners.stop_after_date}:<br />{$one_banner.stop_after_date}
				 {/if}
				{else}
				 {$lang.banners.never_stop}
				{/if}
			{/if}
		</dt>
		<dt  style="width:20%; padding-left:5px;" align="center">
			{$one_banner.name}<br />
			{if $one_banner.banner_type eq "1"}
				{$lang.banners.this_is_html_code}<br />
				<textarea readonly="readonly" style="width:150px; height:75px;">{$one_banner.html_code}</textarea>
			{else}
				{$lang.banners.size}: {$one_banner.size_x}x{$one_banner.size_y}<br />{if $one_banner.img_file_path neq ""}<img src="{$one_banner.img_file_path}" width="{$one_banner.show_size_x}" height="{$one_banner.show_size_y}" alt="{$one_banner.alt_text}"> {/if}
			{/if}
		</dt>
		{if $one_banner.banner_type  eq "1"}
			<dt style="width:20%; padding-left:5px; min-height: 20px;"></dt>
		{else}
			<dt style="width:20%; padding-left:5px; min-height: 20px;"><a href="{$one_banner.banner_url}">{$one_banner.banner_url|truncate:26}</a> </dt>
		{/if}
		<dt style="width:18%; padding-left:5px; text-align: left;">
			{$lang.banners.position}: 
			{if $one_banner.place eq 0}{$lang.banners.position_left}
			{elseif $one_banner.place eq 1}{$lang.banners.position_bottom}
			{elseif $one_banner.place eq 2}{$lang.banners.position_right}
			{elseif $one_banner.place eq 3}{$lang.banners.position_top}
			{/if}
			{foreach from=$one_banner.areas item=one_area}
			{$one_area.description};&nbsp&nbsp
			{/foreach}
		</dt>
		<dt style="width:9%; padding-left:5px; padding-top:10px;">
			{if $one_banner.payment_status == 'topay'}
				<a href="{$one_banner.activate_link}" class="active-icon float_left" title="{$lang.banners.activate_link}">&nbsp;</a>
			{/if}
			<a href="{$one_banner.delete_link}" class="delete-icon float_left" title="{$lang.button.delete}">&nbsp;</a>
		</dt>
	</dl>
	<hr />
{/foreach}
{else}
	<dl>
		<dd colspan="5" class="error_msg">{$lang.err.no_banners}</dd>
	</dl>
{/if}
</div>
{include file="$gentemplates/$footer_tpl"}