﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Language" content="{$default_lang}" />
	<meta http-equiv="Content-Type" content="text/html; charset={$charset}" />
	<title>{if $title ne ''}{$title}{if $category}: {$category.name}{/if}{else}{$lang.main_title}{/if}</title>
	<meta name="title" content="{if $title ne ''}{$title}{if $category}: {$category.name}{/if}{else}{$lang.main_title}{/if}" />
	<meta name="keywords" content="{if $keywords ne ''}{$keywords}{else}{$lang.keywords}{/if}" />
	<meta name="description" content="{if $description ne ''}{$description}{else}{$lang.description}{/if}" />
	
	<link rel="shortcut icon" href="{$server}/favicon.ico" type="image/x-icon">
	
	{if $demo_module eq 1}
		<script type="text/javascript" src="//use.typekit.net/rps2ais.js"></script>
		<script type="text/javascript">{literal}try{Typekit.load();}catch(e){}{/literal}</script>
	{/if}
	
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/layout{$theme_postfix}.css" type="text/css" />
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/icons_def.css" type="text/css" />
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/langstyle_{$default_left}.css" type="text/css" />
	{if $css_path_affiliate}
		<link rel="stylesheet" href="{$site_root}{$css_path_affiliate}/index_{$default_left}.css"  type="text/css">
	{/if}
	<!-- admin and user style themes (def, gay, lesby, couple, matrimonial, niche) -->
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/color_admin{$theme_postfix}.css" type="text/css" />
	<!--[if lte IE 6]>
		<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/style_ie.css" type="text/css" media="screen, projection" />
	<![endif]-->
	
	<link href="{$site_root}{$template_root}/greybox/greybox.css" rel="stylesheet" type="text/css" media="all">
	
	{if $index_view ne "success_stories"}
	    <link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/jquery/carousel.css" type="text/css" />
    {else}
        <link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/jquery/carousel_matrimonial.css" type="text/css" />
    {/if}
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/jquery/flyerslider.css" type="text/css" />
	<link rel="stylesheet" href="{$site_root}{$template_root}{$template_css_root}/jquery/jquery.selectBox.css" type="text/css" />
	
	
	<script type="text/javascript" src="{$site_root}{$template_root}/js/{$script}.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery-1.7.2.min.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/class.loader.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/class.loading_indicator.js"></script>
	{if $script ne 'common'}
		<script type="text/javascript" src="{$site_root}{$template_root}/js/common.js"></script>
	{/if}
    <script type="text/javascript" src="{$site_root}{$template_root}/js/timezone.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery/jquery.jcarousel.min.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery/flyerslider.js"></script>
	<script type="text/javascript" src="{$site_root}{$template_root}/js/jquery/jquery.selectBox.js"></script>

 
	<script type="text/javascript">
	/* <![CDATA[ */
	var TEMPLATE_PATH = "{$site_root}{$template_root}";
	var TEMPLATE_IMAGES_ROOT = "{$template_images_root}";
	var INDEX_THEME_IMAGES_PATH = "{$index_theme_images_path}";
	var TEMPLATE_CSS_ROOT = "{$template_css_root}";
	var INDEX_THEME_CSS_PATH = "{$index_theme_css_path}";
	var GB_IMG_DIR = "{$site_root}{$template_root}/greybox/";
	var SERVER = "{$server}";
	var SITE_ROOT = "{$site_root}";
	var SEO_SITE_ROOT = "{$seo_site_root}";
	var redactor_lang = "{if $redactor_lang}{$redactor_lang}{else}en{/if}";
	var DEFAULT_LTR = "{$default_ltr}";
	var DEFAULT_RIGHT = "{$default_right}";
	var DEFAULT_LEFT = "{$default_left}";
	var loading_text = "{$lang.loading_text|escape:javascript}";
	var display_loc = '{$settings.display_loc}';
	var single_country = '{$settings.single_country}';
	var single_region = '{$settings.single_region}';
	var index_page = 1;
	
	jsLoader.properties.url = SERVER+'/backend.php';
{literal}
	function CheckValid()
	{
		bp=document.login_form;
		if(bp.login_lg.value=="")
		{
			alert('Wrong login. Possibly inaccessible symbols are used');return;
		}
		if(bp.pass_lg.value=="")
		{
			alert('Wrong password');
			return;
		}
        $.post(SEO_SITE_ROOT+"/index.php", {login_lg:bp.login_lg.value, pass_lg:bp.pass_lg.value, remember_me:bp.remember_me.value},function(data){
	           if(data == "error")
                    $("#err").css("display", "inline");
               else
                    document.location.href = SEO_SITE_ROOT+"/homepage.php";
                    //data;
                   //$(".login_form").html(data);
	       });
		
        //document.login_form.submit();
	}
	 /* ]]> */

	/* <![CDATA[ */
	
	$('select[name=id_language_2]').remove();
	$('select[name=id_language_3]').remove();
	var resize=1;
	
	
	$(document).ready(function() {
		var allowed_browsers = {
			'MSIE': 9,
			'Opera': 12.1,
			'Firefox': 10,
			'Chrome': 17,
			'Safari': 5
		};
		var browser = getBrowser(1);
		if(allowed_browsers[browser[0]] && allowed_browsers[browser[0]] > parseFloat(browser[1]+'.'+browser[2])){
			$('#browser_alert').show().on('click', function(){$('#browser_alert').slideUp();});
			setTimeout(function(){$('#browser_alert').slideUp();}, 10000);
		}

		loading_indicator = new loadingIndicator({horizontal: DEFAULT_RIGHT, indicatorText: loading_text});
		
		$('.window #close').click(function (e) {
			e.preventDefault();
			$('#mask').hide();
			$('.window').hide();
		});
		$('#mask').click(function () {
			$(this).hide();
			$('.window').hide();
		});
		$('#flyerslider').fadeSlideShow({
			NextElement: '',
			PrevElement: '',
			PlayText: '<a href="#" alt="play" class="play-icon-white">&nbsp;</a>',
			PauseText: '<a href="#" alt="play" class="pause-icon-white">&nbsp;</a>'
		});
		$('#mycarousel').jcarousel({
			{/literal}{if $default_ltr eq 'rtl'}rtl:1{/if}{literal}
		});
		
		
		$('#id_user_type').selectBox();
		$('#id_looking_user_type').selectBox();
		$('select[name=b_year]').selectBox();
		$('select[name=b_month]').selectBox();
		$('select[name=b_day]').selectBox();        
        $("#age_max").selectBox();
        $("#age_min").selectBox();
        $("#country").selectBox();
		$("#country, #region, #city").selectBox();		
	});
	$(document).scroll(function() {
		if($('#mask').length ) {
			if ($('#mask').css('display') != 'none') {
				//$('.window').center();
			}
		}
	}); 

	/* ]]> */
	 
        /*if IE < 7 */
        if (document.all && !document.querySelector) {alert('{/literal}{$lang.ie_text|escape:javascript}{literal}');}
	</script>
{/literal}
	
	{if $use_forum_sharing_tools_1 || $use_footer_sharing_tools_1 || $use_blog_sharing_tools_1}
		<div id="fb-root"></div>
		{literal}
		<script>
                    var d_lang = '{/literal}{$lang_code}{literal}';
                    if (d_lang == '2')   
                        lang = "ru_RU";
                    else
                        lang = "en_US";
			(function(d, s, id) {
			  var js, fjs = d.getElementsByTagName(s)[0];
			  if (d.getElementById(id)) return;
			  js = d.createElement(s); js.id = id;
			  js.src = "//connect.facebook.net/"+lang+"/all.js#xfbml=1";
			  fjs.parentNode.insertBefore(js, fjs);
			}(document, 'script', 'facebook-jssdk'));
		</script>
		{/literal}
		<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
	{/if}
	{if $use_forum_sharing_tools_2 || $use_footer_sharing_tools_2 || $use_blog_sharing_tools_2}
		<script type="text/javascript" src="http://vk.com/js/api/share.js?11" charset="windows-1251"></script>
	{/if}
	
	{include file="$site_path$index_theme_path/like.tpl"}
	{$google_1}
	{$manual_1}

</head>
<body dir="{$default_ltr}">
<noscript><div id="no_js">{$lang.no_js}</div></noscript>
{if $demo_module eq 1}
    {include file="$gentemplates/demo_user_top_panel2.tpl"}
{/if}
<div class="window" style="position: absolute; z-index: 1000; left: 580px; top: 62.5px;">
    <div class="close" style="z-index:12000;">
		<a href="#" id="close">
		   <div class="close_icon_white" style="position:absolute;z-index:12000;">&nbsp;</div> 
		</a>
	</div>
	<div id="content">
	</div>
</div>
<div id="mask"></div>
	<div id="browser_alert" class="browser_alert">{$lang.browser_alert}</div>

	<div class="wrapper" {if $demo_module eq 1}style="padding-top: 38px;"{/if}>
		<div class="header">
			<div class="indexmainsize">
				<dl class="top-subnav">
					{if $lang_link|@count > 1}
						<dd class="first">
							{if $ip_info.flag_path}
							<img src="{$ip_info.flag_path}" alt="{$ip_info.country}" align="left" style="margin: 3px 0;"/>
							{/if}
							{if $ip_info.country}
							&nbsp;{$ip_info.country}
							{/if}						
							<select onchange="document.location.href=this.value;">
							{section  name=a loop=$lang_link}
							  <option value="{$lang_link[a].link}" {if $default_lang eq $lang_link[a].code}selected="selected"{/if}>{$lang_link[a].name}</option>
							{/section}
							</select>
						</dd>
					{/if}
					<dd><a {if $lang_link|@count < 2}style="border: none;"{/if} href="{$site_root}{$bottom_menu.help}" >{$lang.bottom.help}</a></dd>
					<dd><a href="{$form.register_link}">{$lang.home_page.sign_up_now}</a></dd>
					<dd><a href="#" onClick="launchWindow('index.php','sel=loginform',525,240,1); return false;">{$lang.top.login}</a></dd>
					{if $use_facebook_connect eq 1}
					<dd>
						<a>
							<img src=".{$index_theme_path}{$index_theme_images_path}/fb_connect_light_medium_short.gif" onclick="location.href='{$site_root}/facebook_connect/index.php';" style="cursor:pointer;margin-top: -3px;">
						</a>
					</dd>
					{/if}
					{if $use_vk_connect eq 1}
					<dd>
						<a>
							<img src=".{$index_theme_path}{$index_theme_images_path}/vkontakte_login_icon.png" onclick="location.href='http://api.vkontakte.ru/oauth/authorize?client_id={$vk_api_id}&scope=&response_type=code&redirect_uri={$server}/{if $use_seo_url_prefix}{$seo_url_prefix}/{/if}vk_connect.php';" style="cursor:pointer;margin-top: -3px;">
						</a>
					</dd>
					{/if}
				</dl>
				
			</div>
		</div>
		<div class="maincsection">
			<div class="indexmainsize" style="padding-bottom: 40px; margin-bottom: -60px;">
				<div class="head-content" {if $logo_setup.site_logotype_format=='image'}style="height: auto;"{/if}>
					{if $logo_setup.site_top_logotype==''}
						<h1 onclick="javascript: location.href='{$site_root}/{$seo.index}';" class="logotype-index">{if $keywords ne ''}{$keywords}{else}{$lang.keywords}{/if}</h1>
					{else}
						{if $logo_setup.site_logotype_format=='image'}
							<a href="{$site_root}{$top_menu.index}"><img src="{$site_root}{$logo_setup.site_top_logotype}" border="0" alt="" width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}" style="max-width:950px"></a>
						{else}
							<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
							width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}" type="application/x-shockwave-flash">
							<param name="movie" value="{$site_root}{$logo_setup.site_top_logotype}" >
							<param name="quality" value="high" >
							<param name="pluginurl" value="http://www.macromedia.com/go/getflashplayer" >
							<embed src="{$site_root}{$logo_setup.site_top_logotype}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}"></embed>
							</object>
						{/if}
					{/if}
				</div>
				{if $index_form eq "registration" || $index_form eq "quick_search"}
					<div class="search_block">
						{if $par == 21}
						<div class="slider">
							<ul class="flyerslider" id="flyerslider" class="jcarousel-skin-flyerslider">
								{foreach item=item from=$picture}
								<li class="flysellobject">
									<img src="{$site_root}{$template_root}{$template_images_root}/slider/{$item}" alt="" />
								</li>
								{/foreach}
							</ul>
							<div class="slider_reg">
								<h2>
									{$lang.bottom.sliderregnow}
									<ins>{$lang.bottom.slidercreate}</ins>
								</h2>
								<div onclick="javascript:location.href='{$form.register_link}';" class="goreg-icon sub_icon" title="{$lang.button.view}">{$lang.bottom.sliderreg}</div>
							</div>
						</div>
						{elseif $par == 13}
							{if $image ne ""}
								<div class="logo2_cont"><img src="{$image}" style="width: 650px;"/>
									<div class="slider_reg">
										<h2>
											{$lang.bottom.sliderregnow}
											<ins>{$lang.bottom.slidercreate}</ins>
										</h2>
										<div onclick="javascript:location.href='{$form.register_link}';" class="goreg-icon sub_icon" title="{$lang.button.view}">{$lang.bottom.sliderreg}</div>
									</div>
								</div>
							{/if}
						{else}
							<div class="index_video">
							   {if $use_video_link eq 1}
									{$link_video}
							   {else}
									<a href="{$link_video}"    class="player"
										style="display:block;width:650px;height:450px;"
										id="player">
									</a>
									<script type="text/javascript" src="{$server}/flowplayer/flowplayer-3.2.8.min.js"></script>
									<script type="text/javascript" src="{$server}/flowplayer/flowplayer.ipad-3.2.8.js"></script>
									<script type="text/javascript" src="http://flowplayer.org/media/js/site.js"></script>
									<script>
									$f("player", "{$server}/flowplayer/flowplayer-3.2.8.swf").ipad();
									</script>
								   {*if $is_flv eq 1}
									<script type="text/javascript" src="{$site_root}{$index_theme_path}/flash/flowplayer-3.2.4.min.js"></script>
									<a href="{$link_video}" style="display:block; width:650px;height:450px" id="player"></a>
									<script>
									flowplayer("player", "{$site_root}{$index_theme_path}/flash/flowplayer-3.2.4.swf");
									</script>
									{else}
										<object id="MediaPlayer1" classid="CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6" codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=5,1,52,701" standby="" type="application/x-mplayer2" height="450px;" width="650px;">
											<param name="URL" value="{$link_video}"/>
											<param name="URL" value="{$link_video}"/>
											<param name="data" value="{$link_video}"/>
											<param name="movie" value="{$link_video}"/>
											<param name="AllowChangeDisplaySize" value="False"/>
											<param name="ShowControls" value="1"/>
											<param name="ShowDisplay" value="1"/>
											<param name="ShowStatusBar" value="1"/>
											<param name="AutoStart" value="{$play_video}"/>
											<param name="InvokeURLS" value="False"/>
											<param name="wmode" value="transparent" />
											<embed wmode="transparent" name="MediaPlayer1" type="application/x-mplayer2" pluginspage="http://www.microsoft.com/Windows/Downloads/Contents/Products/MediaPlayer/" src="{$link_video}" autostart="{$play_video}" height="450" width="650"/> </embed>
										</object>
									{/if*}
							   {/if}
								</div>
						{/if}
						<div class="qs_index_box">
							<div class="qs_index_form">
								{if $index_form eq "registration"}
								<h2>{$lang.home_page.header_search}</h2>
								
									<form action="{$site_root}/{$seo.registration}" id="reg_form" name="reg_form" method="POST">
										<input type="hidden" name="sel" value="save_1">
										<input type="hidden" name="count" value=0>
										<input type="hidden" name="e" value="1">
										<input type="hidden" name="from_index_reg" value="1">
										<div class="block">	
											<div class="lookingfor_im">
												<div class="im">
													{$lang.profile.im}<br />
													<select name="id_user_type" id="id_user_type" style="width:100%">
													{foreach name=user_type item=item from=$user_types}
													<option value="{$item.id}" {if $id_user_type && $item.id eq $id_user_type}selected="selected"{/if}>{$item.name}</option>
													{/foreach}
													</select>
												</div>
												<div class="looking_for">
													{$lang.profile.looking_for}<br />
													<select name="id_looking_user_type" id="id_looking_user_type" style="width:100%">
													{foreach name=user_type item=item from=$user_types}
													<option value="{$item.id}" {if $id_looking_user_type && $id_looking_user_type eq $item.id}selected="selected"{/if}>{$item.name}</option>
													{/foreach}
													</select>
												</div>
											</div>
										</div>
										<div class="block">
											<div class="birthday">	
												{$lang.users.date_birthday}:<br />	
												<select name="b_{$date_part1_name}" {if $data.root eq 1}disabled{/if}>
												{foreach item=item from=$date_part1}<option value="{$item.value}" {if $item.sel}selected="selected"{/if}>{$item.value}</option>{/foreach}
												</select>&nbsp;
												<select name="b_{$date_part2_name}" {if $data.root eq 1}disabled{/if}>
												{foreach item=item from=$date_part2}<option value="{$item.value}" {if $item.sel}selected="selected"{/if}>{$item.value}</option>{/foreach}
												</select>&nbsp;
												<select name="b_{$date_part3_name}" {if $data.root eq 1}disabled{/if}>
												{foreach item=item from=$date_part3}<option value="{$item.value}" {if $item.sel}selected="selected"{/if}>{$item.value}</option>{/foreach}
												</select>
											</div>
										</div>
										<div class="block">
											{$lang.users.nick}:<br />
											<input type="text" name="login" value="{$data.login}"  {if $data.root eq 1}disabled{/if} >
										</div>
										<div class="block">
											{$lang.users.email}:<br />
											<input type="text" name="email" value="{$data.email}" {if $data.root eq 1}disabled{/if} >
										</div>
										{if $online_count}
										<div class="text">
										{$online_count} {$lang.home_page.online_now}
										</div>
										{/if}
										<input type="submit" style="margin-top: 15px;" value="{$lang.home_page.start_now}">
									</form>
							{else}
								<h2>{$lang.section.q_search}</h2>
								
									<form action="{$site_root}/{$seo.quick_search}" id="reg_form" name="reg_form" method="POST">
										<input type="hidden" name="sel" value="search"/>
										<input type="hidden" name="flag_country" value="0"/>
										<input type="hidden" name="search_type" id="search_type" value='1'/>
										<div class="block">	
											<div class="lookingfor_im">
												<div class="im">
													{$lang.profile.im}<br />
													<select name="id_user_type" id="id_user_type" style="width:100%">
													{foreach name=user_type item=item from=$user_types}
													<option value="{$item.id}" {if $id_user_type && $item.id eq $id_user_type}selected="selected"{/if}>{$item.name}</option>
													{/foreach}
													</select>
												</div>
												<div class="looking_for">
													{$lang.profile.looking_for}<br />
													<select name="id_looking_user_type" id="id_looking_user_type" style="width:100%">
													{foreach name=user_type item=item from=$user_types}
													<option value="{$item.id}" {if $id_looking_user_type && $id_looking_user_type eq $item.id}selected="selected"{/if}>{$item.name}</option>
													{/foreach}
													</select>
												</div>
											</div>
										</div>
										<div class="block">
											<div class="birthday">	
												{$lang.home_page.between_the_ages_of}:<br />	
												<select style="width:42px;" name="age_min" id="age_min" class="index_select">
													{section name=a loop=$age_min}
													<option value="{$age_min[a]}" {if $form.age_min eq $age_min[a]}selected="selected"{/if}>{$age_min[a]}</option>
													{/section}
												</select>						
												<span style="line-height: 2.5">{$lang.users.to}</span>
												<select style="width:43px;" name="age_max" id="age_max" class="index_select">
													{section name=a loop=$age_max}
													<option value="{$age_max[a]}" {if $form.age_max eq $age_max[a]}selected="selected"{/if}>{$age_max[a]}</option>
													{/section}
												</select>
												
											</div>
										</div>
										{if $display_loc eq '0'}
											<div class="block">
											   {$lang.sub_par.location}:<br />
											   <select style="width:100%;" name="id_country" id="country" class="index_select">
													<option value="0" >{$header.choose_country}</option>
													{section name=a loop=$country}                                            
													<option value="{$country[a].id}">{$country[a].name}</option>
													{/section}
												</select>		
											</div>
										{else}
											<input type="hidden" name="id_country" id="country" value="{$single_country}">
										{/if}
										{if $display_loc eq '1'}
											<div class="block">
											   {$lang.sub_par.location}:<br />
											   <select style="width:100%;" name="id_region" id="region" class="index_select">
													<option value="0" >{$header.choose_region}</option>
													{section name=a loop=$region}                                            
													<option value="{$region[a].id}">{$region[a].name}</option>
													{/section}
												</select>		
											</div>
										{else}
											<input type="hidden" name="id_region" id="region" value="{$single_region}">
										{/if}
										{if $display_loc eq '2'}
											<div class="block">
											   {$lang.sub_par.location}:<br />
											   <select style="width:100%;" name="id_city" id="city" class="index_select">
													<option value="0" >{$header.choose_city}</option>
													{section name=a loop=$city}                                            
													<option value="{$city[a].id}">{$city[a].name}</option>
													{/section}
												</select>		
											</div>
										{else}
											<input type="hidden" name="id_city" id="city" value="{$single_city}">
										{/if}
										<div class="block">	
											<input type="checkbox" name="foto_only" value="1" checked="" />&nbsp;&nbsp;{$lang.home_page.foto}<br /><br />
											<input type="checkbox" name="online_only" value="1" />&nbsp;&nbsp;{$lang.home_page.online_now}
										</div>
										{if $online_count}
										<div class="text">
										{$online_count} {$lang.home_page.online_now}
										</div>
										{/if}
										<input type="submit" style="margin-top: 15px;" value="{$lang.home_page.search_now}">
									</form>
							{/if}
							</div>
						</div>
					</div>
				{elseif $index_form eq "search_widget"}
					{include file="$gentemplates/search_widget.tpl"}
				{/if}
				
				{if $index_view != 'none'}
					<div class="indexcarousel">
						{if $index_view eq "top" || $index_view eq "new_users"}
						<h2>{$index_lang}</h2>
						<ul id="mycarousel" class="jcarousel-skin-dating">
							{if $new_users}
								{foreach item=item name=s from=$new_users}
								<li>
									<a class="imgcanvas_container" href="{$item.link}"><img alt="" class="imgcanvas" src="{$item.icon_path}"/></a>
									<a href="{$item.link}" class="text-overflow">{$item.name}</a>,&nbsp;{$item.age}<br>
								</li>
								{/foreach}
							{else}
								<li>&nbsp;</li>
							{/if}
						</ul>
						{else}
						<h2>{$lang.banners.success_stories}</h2>
						<ul id="mycarousel" class="jcarousel-skin-dating">
							{if $new_users}
								{foreach item=item name=s from=$new_users}
								<li>
									<a class="imgcanvas_container" href="{$item.link}"><img alt="" class="imgcanvas" src="{$item.icon_path}"/></a>
									<a href="{$item.link}" class="text-overflow ib-100">{$item.name}</a><br>
									<span class="text_hidden">{$item.story_date}</span></br> 
									<div>{$item.story_title|truncate:17}</div>
								</li>
								{/foreach}
							{else}
								<li>&nbsp;</li>
							{/if}
						</ul>
						{/if}
					</div>
				{/if}
				{if $banner.bottom}
				<div class="index_banner" style="position: relative; margin-top:20px;text-align:center; {if $rotate_bottom_flag eq 1}height:90px;{/if}">
				<!-- banner bottom -->
					{$banner.bottom}
				<!-- /banner bottom -->
				</div>
				{/if}
			</div>
		</div>
	</div>
	<div class="footer">
		<div class="indexmainsize">
			<div class="footernav" style="position: relative; overflow: hidden;">
				<div style="overflow: hidden;">
					<div class="column first">
					<h2>{$lang.bottom.help}</h2>
						<p>
							<a href="{$site_root}{$bottom_menu.help}">{$lang.bottom.help}</a>
							<a href="{$site_root}{$bottom_menu.map}">{$lang.bottom.map}</a>
							<a href="{$site_root}{$bottom_menu.advice}">{$lang.bottom.advice}</a>
							<a href="{$site_root}{$bottom_menu.contact}">{$lang.bottom.contact}</a>
						</p>
					</div>
					<div class="column">
						<h2>{$lang.bottom.about}</h2>
						<p>
							<a href="{$site_root}{$bottom_menu.news}">{$lang.bottom.news}</a>
							<a href="{$site_root}{$bottom_menu.take_tour}" target="_blank">{$lang.bottom.take_tour}</a>
							{if $use_success_stories}
								<a href="{$site_root}{$bottom_menu.stories}">{$lang.bottom.stories}</a>
							{/if}
						</p>
					</div>
					<div class="column">
						<h2>{$lang.bottom.privacy}</h2>
						<p>
							{foreach key=key item=item from=$bottom_menu.info name=menu}
							<a href="{$site_root}/{$item}">{$lang.bottom.info[$key]}</a>
							{/foreach}
						</p>
					</div>
					<div class="column">
						<h2>{$lang.bottom.our_links}</h2>
						<p>
							{if $use_global_seo}
							<a href="{$site_root}/{$seo.main_location}">{$lang.user_locations}</a>
							{/if}
							{if $use_pilot_module_affiliate}
							<a href="{$site_root}{$bottom_menu.affiliate}">{$lang.bottom.affiliate}</a>
							{/if}
							{if $use_pilot_module_mobile eq 1}
							<a href="{$site_root}/m/index.php">{$lang.mobile.mobile_version}</a>
							{/if}
							<a href="{$site_root}{$bottom_menu.tell_friend}">{$lang.tell_a_friend.top_header}</a>
						</p>
					</div>
				</div>
				{if $use_pilot_module_mobile eq 1}
				<div style="float:{$default_left}">
					<img src="http://chart.apis.google.com/chart?cht=qr&chs=80x80&choe=UTF-8&chld=L%7C0&chl={$server}/m/index.php" />
				</div>
				{/if}
				 <div class="float_right sharing soc" style="position: absolute; bottom: 0px; right: 10px;">
						<table>
							<tr>
							{if $use_footer_sharing_tools_2}
								{literal}
								<td width="136">
									<a target="_blank" class="mrc__plugin_uber_like_button" href="http://connect.mail.ru/share" data-mrc-config="{'nt' : '1', 'cm' : '1', 'ck' : '1', 'sz' : '20', 'st' : '3'}">
										{/literal}{$lang.button.send}{literal}
									</a>
									<script src="http://cdn.connect.mail.ru/js/loader.js" type="text/javascript" charset="UTF-8"></script>
								</td>
								<td>
									<div style="padding-right: 8px;">
										<script type="text/javascript">
										var vk_text = "{/literal}{$lang.button.like}{literal}";
										<!--
										document.write(VK.Share.button(false,{type: "button", text: vk_text}));
										--></script>
									</div>
								</td>
								{/literal}
								{/if}
								{if $use_footer_sharing_tools_1}
								<td>
									<div class="fb-like" data-href="{$server}" data-send="false" data-layout="button_count" data-width="{if $lang_code eq 2}150{else}100{/if}" data-show-faces="false"></div>
								</td>
								<td>
									<a href="https://twitter.com/share" class="twitter-share-button" data-url="{$server}" data-count="horizontal" data-text="{$forum[f].subject}" data-via="" data-lang="en"></a><script type="text/javascript" src="//platform.twitter.com/widgets.js"></script>
								</td>
								<td>
									<span class="g">
										<g:plusone href="{$server}"></g:plusone>
									</span>
								</td>
								{/if}
							</tr>
						</table>
					</div>
			</div>
		</div>
		
{$google_0}
{$manual_0}
	</div>
	<div class="seobox">
		<div class="indexmainsize">
			<div class="seobox_text_cont" id="home_page_bottom_text">
				{$lang.home_page.bottom_text_1}<br>{$lang.home_page.bottom_text_2}
			</div>
			{if $display_values}
				<dl>
				{foreach from=$display_values item=value name=countryiter}
					<dd>
						<a href="{$site_root}/{$seo.main_location}-{$value.seo_link}">{$location_text} {$value.name}</a>
					</dd>
				{/foreach}
				</dl>
			{/if}
		</div>
	</div>
	<div style="width: 950px; margin: -20px auto 0px;">[copyright]</div>
</body>
</html>
