<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Language" content="{$default_lang}" />
	<meta http-equiv="Content-Type" content="text/html; charset={$charset}" />
	<meta name="Description" content="{if $description ne ''}{$description}{else}{$lang.description}{/if}" />
	<meta name="Keywords" content="{if $keywords ne ''}{$keywords}{else}{$lang.keywords}{/if}" />
	<title>{if $title ne ''}{$title}{if $category}: {$category.name}{/if}{else}{$lang.main_title}{/if}</title>
	
	<link rel="shortcut icon" href="{$server}/favicon.ico" type="image/x-icon">
	
	{if $demo_module eq 1}
		<script type="text/javascript" src="//use.typekit.net/rps2ais.js"></script>
		<script type="text/javascript">{literal}try{Typekit.load();}catch(e){}{/literal}</script>
	{/if}
	
	<link href="{$server}{$template_root}{$template_css_root}/uploadify/uploadify.css" rel="stylesheet" type="text/css" />
	{if $is_dp13_tpl}
		<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/dp13.css" type="text/css" />
	{else}
		<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/layout{$theme_postfix}.css" type="text/css" />
	{/if}
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/icons_def.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/langstyle_{$default_left}.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/color_admin{$theme_postfix}.css" type="text/css" />
	{if $style}
		<link href="{$server}{$style}" rel="stylesheet" type="text/css" />
	{/if}
	
	<link href="{$server}{$template_root}{$template_css_root}/jquery/colorpicker.css" rel="stylesheet" type="text/css" />
	<link href="{$server}{$template_root}{$template_css_root}/jquery/jquery.tooltip.css" rel="stylesheet" type="text/css" />
	<link href="{$server}{$template_root}/greybox/greybox.css" rel="stylesheet" type="text/css"/>
	<link href="{$server}{$template_root}{$template_css_root}/jquery/carousel.css" rel="stylesheet"  type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/jquery/flyerslider.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/jquery/redmond/jquery-ui-1.7.1.custom.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/jquery/redmond/ui.slider.extras.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/uploadify/html5upload.css" type="text/css" />
	
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery-1.7.2.min.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$site_root}{$template_root}/js/jquery.gritter.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$site_root}{$template_root}/js/class.loader.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$site_root}{$template_root}/js/class.loading_indicator.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$site_root}{$template_root}/js/class.shoutbox.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/uploadify/jquery.uploadify-3.1.min.js"></script>
	
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/class.multiupload.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/html5upload.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery/jquery.placeholder.js"></script>
	
	{*<link rel="stylesheet" type="text/css" href="{$server}/flowplayer_new/skin/minimalist.css" />
	<script type="text/javascript" src="{$server}/flowplayer_new/flowplayer.min.js"></script>*}

	{if $script ne 'common'}
		<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/common.js"></script>
	{/if}
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/timezone.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery/jquery.jcarousel.min.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery/flyerslider.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery/jquery-ui-1.8.2.min.js"></script>
	{if $default_lang != 'en'}
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery/jquery-ui-i18n.js"></script>
	{/if}
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery/selectToUISlider.jQuery.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/jquery.tooltip.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/AmiJS.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/greybox.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/images.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/colorpicker.js"></script>
	
	{if $script ne 'location'}
		<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/location.js"></script>
	{/if}
	{if $use_pilot_module_cometchat && $registered}
		<link type="text/css" href="{$site_root}/cometchat/cometchatcss.php" rel="stylesheet" charset="utf-8">
		<script type="text/javascript" src="{$site_root}/cometchat/cometchatjs.php" charset="utf-8"></script>
    {/if}
	{if $use_pilot_module_flashcomsmessenger}
		<script language="JavaScript" type="text/javascript" src="{$server}/messenger7/js/sm.js"></script>
	{/if}
	<script language="JavaScript" type="text/javascript" src="{$server}/include/mp3player/ufo.js"></script>
	<script language="JavaScript" type="text/javascript" src="{$server}/w_communicator/cookies.js"></script>

	{if $redactor}{*!customized redactor by dpopenov*}
		<script type="text/javascript" src="{$server}/imp_redactor/redactor.js"></script>
		<link rel="stylesheet" href="{$server}/imp_redactor/css/redactor.css" type="text/css" />
	{/if}
	<script type="text/javascript">
				{literal}
				$(document).ready(function(){
					$('.datepicker').attr("readonly","1");
					$('.datepicker').datepicker({
						changeMonth: true,
						changeYear: true
					});
					{/literal}
					{if $default_lang != 'en'}
						$.datepicker.setDefaults($.datepicker.regional['{$default_lang}']);
					{/if}
					{literal}
				});
				{/literal}
	</script>
	<script language="JavaScript" type="text/javascript">
		var TEMPLATE_PATH = "{$site_root}{$template_root}";
		var TEMPLATE_IMAGES_ROOT = "{$template_images_root}";
		var INDEX_THEME_IMAGES_PATH = "{$index_theme_images_path}";
		var TEMPLATE_CSS_ROOT = "{$template_css_root}";
		var INDEX_THEME_CSS_PATH = "{$index_theme_css_path}";
		var GB_IMG_DIR = "{$site_root}{$template_root}/greybox/";
		var SERVER = "{$server}";
		var SITE_ROOT = "{$site_root}";
		var SEO_SITE_ROOT = "{$seo_site_root}";
		var SCRIPT_NAME = "{$SCRIPT_NAME}";
		var autostart = false;
		var default_left = "{$default_left}";
		var redactor_lang = "{if $redactor_lang}{$redactor_lang}{else}en{/if}";
		var DEFAULT_LTR = "{$default_ltr}";
		var DEFAULT_RIGHT = "{$default_right}";
		var DEFAULT_LEFT = "{$default_left}";
		var loading_text = "{$lang.loading_text|escape:javascript}";
		var server_time = $.parseJSON("{$server_time_json|escape:javascript}");
		var alerts = $.parseJSON("{$alerts_json|escape:javascript}");
		var user_id = "{$user_id}";
		var DEMO_MODULE = 0;
		var display_loc = '{$settings.display_loc}';
		var single_country = '{$settings.single_country}';
		var single_region = '{$settings.single_region}';
		var index_page = 0;
	</script>

	{if $script}
		<script language="JavaScript" type="text/javascript" src="{$server}{$template_root}/js/{$script}.js"></script>
	{/if}
	{literal}
	<script language="JavaScript" type="text/javascript">
		$.extend($.gritter.options, {position: 'bottom-right', append_top: 1});
		
		$(document).ready(function() {
			var allowed_browsers = {
				'MSIE': 9,
				'Opera': 12.1,
				'Firefox': 10,
				'Chrome': 17,
				'Safari': 5
			};
			var browser = getBrowser(1);
			if(allowed_browsers[browser[0]] && allowed_browsers[browser[0]] > parseFloat(browser[1]+'.'+browser[2])){
				$('#browser_alert').show().on('click', function(){$('#browser_alert').slideUp();});
				setTimeout(function(){$('#browser_alert').slideUp();}, 10000);
			}

			$('input, textarea').placeholder();
			loading_indicator = new loadingIndicator({horizontal: DEFAULT_RIGHT, indicatorText: loading_text});
			var loader_actions = [];
			
			{/literal}{if $registered}{literal}
				{/literal}{if $settings.use_mailbox}{literal}
					if(SCRIPT_NAME.search('mailbox') === -1){
						if(!alerts.last_mail_id){
							alerts.last_mail_id = 0;
						}
						loader_actions.push({
							gid: 'email_alert',
							params: {},
							paramsFunc: function(){return {last_id: alerts.last_mail_id}},
							callback: function(resp){
								if(resp.count){
									for(var id in resp.msg){
										if(id > alerts.last_mail_id){
											alerts.last_mail_id = id;
										}
										var msg = resp.msg[id];
										$.gritter.add({
											sticky: false,
											time: 15000,
											title: '<a href="'+msg.link+'">'+msg.title+'</a>',
											text: msg.text,
											image: msg.icon
										});
									}
								}
								var new_html = resp.count_new_all>0 ? resp.count_new_all : '';
								if(new_html)$('#top_menu_count_message').css('position','relative').html(':&nbsp;'+new_html);							
								if(resp.count_new_all != $('#left_menu_count_message').text()){
									$('#left_menu_count_message').css('position','relative').animate({top: '-=20'}, 200, function(){$(this).html(new_html).css('top','+20px').animate({top: '-=20px'},200);});
								}
							},
							period: 1,
							status: 1
						});
					}else{
						var new_html = $('#left_menu_count_message').text() ? $('#left_menu_count_message').text() : '';
						if(new_html)$('#top_menu_count_message').css('position','relative').html(':&nbsp;'+new_html);
					}
				{/literal}{/if}{literal}
				
				alerts.viewprofile_time = server_time.sql_unix_time-30 || 0;
				alerts.viewprofile = {};
				loader_actions.push({
					gid: 'viewprofile_alert',
					params: {},
					paramsFunc: function(){return {time: alerts.viewprofile_time}},
					callback: function(resp){
						if(resp.count){
							for(var id in resp.msg){
								var msg = resp.msg[id];
								if(msg.time > alerts.viewprofile_time){
									alerts.viewprofile_time = msg.time;
								}
								if(!alerts.viewprofile[msg.id]){
									alerts.viewprofile[msg.id] = msg.id;
									$.gritter.add({
										sticky: false,
										time: 15000,
										title: '<a href="'+msg.profile_link+'">'+msg.title+'</a>',
										text: msg.text+'<br/>'+msg.send_icons,
										image: msg.icon
									});
								}
							}
						}
					},
					period: 3,
					status: 1
				});
				
				{/literal}{if $settings.use_pilot_module_im}{literal}
					alerts.im_time = /*server_time.sql_unix_time-5 ||*/ 0;
					loader_actions.push({
						gid: 'im_alert',
						params: {},
						paramsFunc: function(){return {time: alerts.im_time}},
						callback: function(resp){
							if(resp.count){
								if(resp.count_new_all != $('#top_menu_count_use_pilot_module_im').text()){
									var new_html = resp.count_new_all>0 ? resp.count_new_all : '';
									$('#top_menu_count_use_pilot_module_im').css('position','relative').html(':&nbsp;'+new_html);
								}
								for(var id in resp.msg){
									var msg = resp.msg[id];
									if(msg.time > alerts.im_time){
										alerts.im_time = msg.time;
									}
									$.gritter.add({
										sticky: true,
										title: '<input type="hidden" name="im_alert_id_user" value="'+msg.id_user+'" /><a href="'+msg.profile_link+'">'+msg.title+'</a>',
										text: msg.text,
										image: msg.icon,
										before_close: function(e, manual_close){
											if(manual_close){
												var id_user = $(e).find('input[name="im_alert_id_user"]').val();
												ignoreIm(id_user, false);
											}
										}
									});
								}
							}
						},
						period: 1,
						status: 1
					});
				{/literal}{/if}{literal}
				
				alerts.voip_time = 0;
				loader_actions.push({
					gid: 'voip_alert',
					params: {},
					paramsFunc: function(){return {time: alerts.voip_time}},
					callback: function(resp){
						if(resp.count){
							for(var id in resp.msg){
								var msg = resp.msg[id];
								if(msg.time > alerts.voip_time){
									alerts.voip_time = msg.time;
								}
								$.gritter.add({
									sticky: true,
									title: '<a href="'+msg.profile_link+'">'+msg.title+'</a>',
									text: msg.text+'<br/><a href="javascript:void(0)" onclick="setVoipRequest(\'yes\','+msg.id_user+'); closeParentGritter(this);">'+msg.accept_text+'</a> | <a href="javascript:void(0)" onclick="setVoipRequest(\'no\','+msg.id_user+'); closeParentGritter(this);">'+msg.decline_text+'</a>',
									image: msg.icon,
									before_close: function(e, manual_close){
										if(manual_close){
											setVoipRequest('no', msg.id_user);
										}
									}
								});
							}
						}
					},
					period: 3,
					status: 1
				});
				
				alerts.friendship_time = server_time.sql_unix_time || 0;
				loader_actions.push({
					gid: 'friendship_alert',
					params: {},
					paramsFunc: function(){return {time: alerts.friendship_time}},
					callback: function(resp){
						if(resp.count_req){
							for(var id in resp.msg_req){
								var msg = resp.msg_req[id];
								if(msg.time > alerts.friendship_time){
									alerts.friendship_time = msg.time;
								}
								$.gritter.add({
									sticky: true,
									title: '<a href="'+msg.profile_link+'">'+msg.title+'</a>',
									text: msg.text+'<br/><a href="javascript:void(0)" onclick="setFriendship(1,'+msg.id_user+'); closeParentGritter(this);">'+msg.accept_text+'</a> | <a href="javascript:void(0)" onclick="setFriendship(2,'+msg.id_user+'); closeParentGritter(this);">'+msg.decline_text+'</a>',
									image: msg.icon
								});
							}
						}
						if(resp.count_acc){
							for(var id in resp.msg_acc){
								var msg = resp.msg_acc[id];
								if(msg.time > alerts.friendship_time){
									alerts.friendship_time = msg.time;
								}
								$.gritter.add({
									sticky: false,
									time: 15000,
									title: '<a href="'+msg.profile_link+'">'+msg.title+'</a>',
									text: msg.text,
									image: msg.icon
								});
							}
						}
					},
					period: 2,
					status: 1
				});
				
				
				{/literal}{if $show_shoutbox}
					var highlight_color = '{if $theme_colors.home_menu}#{$theme_colors.home_menu}{else}#F9FF99{/if}';
				{literal}
					shoutbox_obj = new shoutbox({
						id: 'shoutbox',
						url: SERVER+'/ajax_backend.php',
						title: "{/literal}{$lang.ShoutBox.Title}{literal}",
						button_text: "{/literal}{$lang.ShoutBox.Shout}{literal}",
						show_count: 5,
						msg_height: 50,
						highlight_color: highlight_color,
						onInit: function(){
							alerts.sb_last_id = shoutbox_obj.getLastId();
							jsLoader.initAction({
								gid: 'shoutbox_new',
								params: {},
								paramsFunc: function(){alerts.sb_last_id = shoutbox_obj.getLastId(); return {last_id: alerts.sb_last_id}},
								callback: function(resp){
									if(resp.count){
										for(var id in resp.data){
											var msg = resp.data[id];
											if(msg.id_msg > alerts.sb_last_id){
												alerts.sb_last_id = msg.id_msg;
											}
										}
										shoutbox_obj.addNewMessages(resp);
									}
								},
								period: 2,
								status: 1
							});
						}
					});
				{/literal}{/if}{literal}
				
				jsLoader.setProperties('url', SERVER+'/ajax_backend.php').initActions(loader_actions).init();
			{/literal}{/if}{literal}
			
			
			$('#mycarousel').jcarousel({
				vertical: {/literal}{if $carousel_vertical_dir}true{else}false{/if},
				{if $default_ltr eq 'rtl'}rtl:true{else}rtl:false{/if}{literal}
			});
		});  
		
		function setFriendship(status, id){
			$.ajax({
				type: 'POST',
				url: SITE_ROOT+"/ajax_backend.php",
				data: {sel: "set_friendship", id: id, status: status},
				backend: 1
			});
		}
		
		function ignoreIm(id_user, link_obj) {
			closeParentGritter(link_obj);
			$.ajax({
				type: 'POST',
				url: SITE_ROOT+"/im/im_popup.php",
				data: {sel:"ignore", id:id_user},
				backend: 1
			});
		}
		
		function setVoipRequest(par, id_user) {
			$.ajax({
				type: 'POST',
				url: SITE_ROOT+"/backend.php",
				data: {sel:"set_req_voip", answ:par, id_user:id_user},
				backend: 1
			});
		}
	
		function closeParentGritter(child_obj){
			if(child_obj){
				var popup_id = $(child_obj).parents('.gritter-item-wrapper').attr('id').replace('gritter-item-','');
				$.gritter.remove(popup_id);
			}
		}
		
		function flash_popup(url, title, width, height) {
			window.open(url,title,'menubar=0,resizable=1,scrollbars=0,status=0,toolbar=0,width='+width+',height='+height);
		}

		
		function open_im_window(user_id) {
			{/literal}
			{if $use_pilot_module_toksta_im}
			  tokstaChat(user_id);
			{elseif $use_pilot_module_webmessenger}
			  if (user_id==undefined) window.open("{$server}/webmessenger/ul.php", 'Userlist', 'width=200,height=750,toolbar=0,directories=0,menubar=0,status=0,location=0,scrollbars=0,resizable=1');
								 else window.open("{$server}/webmessenger/wm.php?strDestinationUserID="+user_id, 'Webmessenger', 'height=650,width=600,resizable=yes,scrollbars=no,menubar=no,status=no,left=200,top=20');
			  return false;
			{elseif $use_pilot_module_flashcomsmessenger}
				//z5messenger.SendInvitation(user_id);
				window.open("{$server}/messenger7/messenger7.php",'video_chat','menubar=0, resizable=1, scrollbars=0,status=0,toolbar=0, width=340,height=420');		
			{else}
			  var open_param = 'menubar=0, resizable=1, scrollbars=1, status=0, toolbar=0, width=1100, height=650';
			
			  if (user_id==undefined) window.open('{$server}{$menu_path.20}?default='+default_left,'IM', open_param);
			  else window.open('{$server}{$menu_path.20}?id='+user_id+'&default='+default_left,'IM', open_param);
			  return false;
			{/if}
			{literal}
		}
	</script>	
	{/literal}
	{if $use_forum_sharing_tools_1 || $use_footer_sharing_tools_1 || $use_blog_sharing_tools_1}
		<div id="fb-root"></div>
		{literal}
		<script>
                    var d_lang = '{/literal}{$lang_code}{literal}';
                    if (d_lang == '2')   
                        lang = "ru_RU";
                    else
                        lang = "en_US";
			(function(d, s, id) {
			  var js, fjs = d.getElementsByTagName(s)[0];
			  if (d.getElementById(id)) return;
			  js = d.createElement(s); js.id = id;
			  js.src = "//connect.facebook.net/"+lang+"/all.js#xfbml=1";
			  fjs.parentNode.insertBefore(js, fjs);
			}(document, 'script', 'facebook-jssdk'));
		</script>
		{/literal}
		<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
	{/if}
	{if $use_forum_sharing_tools_2 || $use_footer_sharing_tools_2 || $use_blog_sharing_tools_2}
		<script type="text/javascript" src="http://vk.com/js/api/share.js?11" charset="windows-1251"></script>
	{/if}
{$google_1}
{$manual_1}

{* dskripunov notice message *}
{literal}
<script type="text/javascript">
	$(document).ready(function() {
		var error = '{/literal}{$error|escape:"javascript"}{literal}' || '{/literal}{$error_access|escape:"javascript"}{literal}';
		var formerr = '{/literal}{$form.err|escape:"javascript"}{literal}';
		ShowAjaxError(error , formerr);
	});
			
			
	function ShowAjaxError(error_text, form_error_text)
	{
		if (error_text || form_error_text)
		{				
			//remove for second msg
			$('#warnings-conv').remove();
			var top_pos = 10;				

			/* if array - get only 1 error */
			if (error_text instanceof Array || error_text == "Array") {
				error_text = '{/literal}{$error.0|escape:"javascript"}{literal}';
			}
			
			if (form_error_text instanceof Array || form_error_text == "Array") {
				form_error_text = '{/literal}{$form.err.0|escape:"javascript"}{literal}';
			}

			if ( (error_text != '') && (form_error_text !='') )
			{
				error_text = error_text+' '+form_error_text;
			}
			else if(error_text == '')
			{
				error_text = form_error_text;
			}
			
			var body_width = document.body.clientWidth;

			$("<div class='warnings-conv' id='warnings-conv'></div>")
				.appendTo('body')
				.html("<div class='warnings'>"+error_text+"</div>")
				.click(function(){
					$(this).fadeOut(1000, function(){
						$(this).remove();
					});
				});
			var warnings_conv_width = $('#warnings-conv').width();                             
			$('#warnings-conv').css('left', ( (body_width/2) - ( warnings_conv_width/2 ) )+'px' );

			setTimeout("$('#warnings-conv').fadeOut(1000, function(){$(this).remove();})", 7000);
		}
	}
</script>
{/literal}
{* /dskripunov notice message *}
</head>
<body  {if $script eq 'calculator'}onload="on_load();"{/if} dir="{$default_ltr}" {if $is_dp13_tpl}class="{$color_theme}"{/if}>
<noscript><div id="no_js">{$lang.no_js}</div></noscript>
{if $demo_module eq 1}
    {include file="$gentemplates/demo_user_top_panel2.tpl"}
{/if}
<div class="wrapper" {if $demo_module eq 1}style="padding-top: 38px;"{/if}>
	<div id="browser_alert" class="browser_alert">{$lang.browser_alert}</div>
	<div class="header">
		<div class="mainsize">
			{if ($registered && $back_to_view ne 'index.php') || !$registered}
				<a title="{$lang.button.back}" class="arr-left1-icon pageback" href="{$back_to_view}">&nbsp;</a>
			{/if}
			{if $registered}
			<dl class="top-subnav">
				<dd class="first" style="margin-top:2px;">
					<a href="{$server}/{$seo.myprofile}">{$lang.homepage.welcome}: {$active_user_info.name}</a>
				</dd>
				{if $lang_link|@count > 1}
					<dd class="{if !$registered}first{/if} select" style="margin-top:-2px;">
						{if $ip_info.flag_path}
						<img src="{$ip_info.flag_path}" alt="{$ip_info.country}" align="left" style="margin: 3px 0;"/>
						{/if}
						{if $ip_info.country}
						&nbsp;{$ip_info.country}
						{/if}
						<select onchange="document.location.href=this.value;">
						{section  name=a loop=$lang_link}
						<option value="{$lang_link[a].link}" {if $default_lang eq $lang_link[a].code}selected="selected"{/if}>{$lang_link[a].name}</option>
						{/section}
						</select>
					</dd>
				{/if}
				<dd style="white-space:nowrap;">
					<a class="top_menu_1" href="{$server}/{$seo.mailbox}">
						{$lang.section.email}<span id="top_menu_count_message"></span>
					</a>
				</dd>
				<dd style="white-space:nowrap;cursor: pointer;">
					<a class="top_menu_1" onclick="open_im_window();">
						{$lang.section.im}<span id="top_menu_count_use_pilot_module_im"></span>
					</a>
				</dd>
				<dd style="white-space:nowrap;"><a class="top_menu_1" href="{$server}{$bottom_menu.help}">{$lang.help}</a></dd>
				<dd style="white-space:nowrap;"><a class="top_menu_1" href="{$server}{$top_menu.logoff}">{$lang.logoff}</a></dd>
			</dl>
			{else}
				<dl class="top-subnav">
					<dd class="first">
						{if $ip_info.flag_path}
						<div>
						<img src="{$ip_info.flag_path}" alt="{$ip_info.country}"/>
						</div>
						{/if}
						{if $ip_info.country}
						<div style="margin-left: 6px;">{$ip_info.country}</div>
						{/if}
						
						<select onchange="document.location.href=this.value;">
						{section  name=a loop=$lang_link}
						  <option value="{$lang_link[a].link}" {if $default_lang eq $lang_link[a].code}selected="selected"{/if}>{$lang_link[a].name}</option>
						{/section}
						</select>
					</dd>
					<dd><a href="{$server}{$bottom_menu.help}" >{$lang.bottom.help}</a></dd>
					<dd><a href="{$server}/{$seo.registration}">{$lang.button.gr_inscris}</a></dd>
					<dd><a href="#" onClick="launchWindow('{$server}/{$seo.index}','sel=loginform',525,240,1); return false;">{$lang.top.login}</a></dd>
					{if $use_facebook_connect eq 1}
					<dd>
						<a>
							<img src="{$server}{$index_theme_path}{$index_theme_images_path}/fb_connect_light_medium_short.gif" onclick="location.href='{$server}/facebook_connect/index.php';" style="cursor:pointer;margin-top: -3px;">
						</a>
					</dd>
					{/if}
					{if $use_vk_connect eq 1}
					<dd>
						<a>
							<img src="{$server}{$index_theme_path}{$index_theme_images_path}/vkontakte_login_icon.png" onclick="location.href='http://api.vkontakte.ru/oauth/authorize?client_id={$vk_api_id}&scope=&response_type=code&redirect_uri={$server}/{if $use_seo_url_prefix}{$seo_url_prefix}/{/if}vk_connect.php';" style="cursor:pointer;margin-top: -3px;">
						</a>
					</dd>
					{/if}
				</dl>
			{/if}
		</div>
	</div>
	<div class="head-content main_nav mainsize" {if $logo_setup.site_logotype_format=='image'}style="height: auto;"{/if}>
		{if $logo_setup.site_top_logotype==''}
			<h1 onclick="javascript: location.href='{$server}/{$seo.index}';" class="logotype-index">{if $keywords ne ''}{$keywords}{else}{$lang.keywords}{/if}</h1>
		{else}
			{if $logo_setup.site_logotype_format=='image'}
				<a href="{$server}{$top_menu.index}" ><img src="{$server}{$logo_setup.site_top_logotype}" border="0" alt="" width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}"></a>
			{else}
				<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
				width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}" type="application/x-shockwave-flash">
				<param name="movie" value="{$server}{$logo_setup.site_top_logotype}" />
				<param name="quality" value="high" />
				<param name="pluginurl" value="http://www.macromedia.com/go/getflashplayer" />
				<embed src="{$server}{$logo_setup.site_top_logotype}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}"></embed>
				</object>
			{/if}
		{/if}
		
		{if $registered}
		      {include file="$gentemplates/index_top_menu.tpl"}
        {/if}
	</div>
	<div class="rapidsearch mainsize">
		<div class="rapidsearchbox">
			<form name="search_keyword" action="{$server}/{$seo.quick_search}">
				<div class="keywords-box">
					<input type="hidden" name="sel" value="search_keyword">
					<label style="text-indent: 0px;" class="pre hint_small over" for="v_name"></label>
					<input type="text" name="word" id="v_name" value="{$lang.quick_search.keywords}" onFocus="javascript: this.value='';"/>
					<a onclick="javascript: document.search_keyword.submit();" class="big-search-lupa" style="padding-top: 2px;height: 25px;float: right;" title="{$lang.button.search}">&nbsp;</a>
				</div>
			</form>
			<div class="keywords-link">
				<a href="{$server}/{$seo.quick_search}">{$lang.quick_search.more_options}</a>&nbsp;...
			</div>
		</div>
	</div>
	
	{if $breadcrumbs_page}
		<div id="breadcrumbs" class="mainsize breadcrumb">
			{$breadcrumbs_page}
		</div>
	{/if}	
	
	<div class="maincsection">
		<div class="mainsize overflowhidden">
			{if !$hide_left_side}
				<div class="aside">
					{include file="$gentemplates/index_left.tpl"}
				</div>
				<div class="mainbox-anymore">
					{if $banner.top}
						<div style="width:100%; display:table; margin-top:20px;margin-bottom:85px;">{$banner.top}</div>
					{/if}
			{/if}
			<!-- right content -->
			{if $use_carousel && !$carousel_vertical_dir && !$no_carusel}
				{if $org_home[3] == 'true' || !$myprofile_label}
				<div class="maincsection_top">
					{$lang.general.carousel_slogan}<br /><br />
					<div id="carousel" class="carousel_hor">
						<ul id="mycarousel" class="jcarousel-skin-dating">
						<li>
							<div class="add_carousel_bn">
								<div class="add_carousel_bn_inside">
								<a href="{$server}/{$seo.payment}?sel=service&service=carousel" class="add-icon" title="{$lang.button.add}">&nbsp;</a>
								</div>
							</div>
						</li>
							{foreach item=item from=$carousel_photo}
								{if $item.path}
									<li><a class="imgcanvas_container" href="{$item.profile_link}"><img src="{$item.path}" class="imgcanvas" /></a></li>
								{/if}
							{/foreach}
						</ul>
					</div>
				</div>
				{/if}
			{/if}