{include file="$gentemplates/$header_tpl"}
	<h2>{$lang.section.email}</h2>	
	
        {*if $form.err}
	<p class="error">*&nbsp;{$form.err}</p>
	{/if*}
	
	{strip}
	<!-- main tabs -->	
	<div class="main_tabs">
		<div class="tab_block first">
			<a href="{$form.inbox_link}" onclick="">{$lang.mailbox.inbox}&nbsp;({$form.inbox_new}/{$form.inbox_all})</a>
		</div>
		<div class="tab_block">
			<a href="{$form.outbox_link}" onclick="">{$lang.mailbox.outbox}&nbsp;({$form.outbox_all})</a>
		</div>
		<div class="tab_block">
			<a href="{$form.write_link}" onclick="">{$lang.mailbox.compose}</a>
		</div>
	</div>
	<!-- end main tabs -->		
		
	{/strip}
	
	<!--  user info-->
	{strip}	
	<div class="mailbox_history">		
		<dl>
			<dd class="dd_norm_width" style="padding:0px; position: relative;">
				{if !$data.root_user}
					<a class="imgcanvas_container" href="{$data.profile_link}"><img src="{$data.icon_path}" class="icon imgcanvas" alt=""></a>
				{else}
					<a class="imgcanvas_container"><img src="{$data.icon_path}" class="icon imgcanvas" alt=""/></a>
				{/if}
				{if $data.hotlisted}
					<a class="small_heart_white" style="bottom:5px; {$default_left}:5px; position:absolute;">&nbsp;</a>
				{elseif $data.blacklisted}
					<a class="small_block_white" style="bottom:5px; {$default_left}:5px; position:absolute;">&nbsp;</a>
				{/if}
			</dd>
			<dd class="dd_max_width">
				<div>
					<p style="overflow:hidden;">
						{if !$data.root_user}<a class="float_left" href="{$data.profile_link}">{/if}
						<span class="float_left">{$data.name}</span>
						{if !$data.root_user}</a>{/if}
						<span class="float_left">,&nbsp;{$data.age}&nbsp;&nbsp;</span>
						<span class="float_left status{if $data.status eq $lang.status.on}_link{else}_text{/if}">{$data.status}</span>
					</p>
					{if !$data.root_user}
					<p>
						{if $data.city}{$data.city}, {/if}{if $data.region}{$data.region}, {/if}{$data.country}
					</p>
					<p>	
						<span class="text_hidden">{$lang.users.upload_1}:&nbsp;{$data.photo_count} </span>
					</p>
					<p>
						{if $form.show_users_group_str eq '1'}{$data.group}{/if}<br />
						{$lang.users.gender_search}&nbsp;{if $data.user_subtypes}{$data.user_subtypes}&nbsp;({$data.user_type}){else}{$data.user_type}{/if} {$lang.users.from} {$data.age_min} {$lang.users.to} {$data.age_max}
					</p>
					<p class="text">{$lang.homepage.completion}:&nbsp;{$data.completion}%</p>
					{/if}
				</div>
				
					
			</dd>
			
			
		</dl>		
	</div>	
	{/strip}
	<!-- end user info -->	
	<div>
		<div style="display:table;width:100%;padding: 15px 0;">					
			{include file="$gentemplates/pagination_top.tpl"}
		</div>
		{section name=s loop=$history}
			<div class="message_form">	
				<div class="div_comment">
					<div class="float_left text_head"><b>{$history[s].name_msg}:</b>&nbsp;{$history[s].subject_msg}</div>
					<div class="float_right">{$history[s].date_msg}</div>
				</div>			
				<div class="wysiwyg_content">{$history[s].text_msg}</div>					
			</div>			
		{/section}
		{include file="$gentemplates/pagination_bottom.tpl"}
		<!-- end message list -->
	</div>
	<script language="JavaScript" type="text/javascript">
	</script>
{include file="$gentemplates/$footer_tpl"}