<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="X-UA-Compatible" content="IE=9" />
	<meta http-equiv="Content-Language" content="{$default_lang}" />
	<meta http-equiv="Content-Type" content="text/html; charset={$charset}" />
	<meta name="Description" content="{if $description ne ''}{$description}{else}{$lang.description}{/if}" />
	<meta name="Keywords" content="{if $keywords ne ''}{$keywords}{else}{$lang.keywords}{/if}" />
	<title>{if $title ne ''}{$title}{else}{$lang.main_title}{/if}</title>
	<link rel="stylesheet" href="{$server}{$template_root}/css/layout{$theme_postfix}.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/icons_def.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/langstyle_{$default_left}.css" type="text/css" />
	<link rel="stylesheet" href="{$server}{$template_root}{$template_css_root}/color_admin{$theme_postfix}.css" type="text/css" />
  {if $script}<script language="JavaScript" type="text/javascript" src="{$site_root}{$template_root}/js/{$script}.js"></script>{/if}
  <script language="JavaScript" type="text/javascript" src="{$site_root}{$template_root}/js/niftycube.js"></script>
  {literal}
  <script language="JavaScript" type="text/javascript">
    var sessEnable = navigator.cookieEnabled;
    if(!sessEnable){
      alert({/literal}"{$lang.err.coockie_enabled|escape:javascript}"{literal});
    }
  </script>
  <script language="JavaScript" type="text/javascript">
    function flash_popup(url, title, width, height) {
      window.open(url,title,'menubar=0,resizable=1,scrollbars=0,status=0,toolbar=0,width='+width+',height='+height);
    }
  </script>
  {/literal}
</head>
<body {if $warning ne 1} style="background-color: #000;" {/if} dir="{$default_ltr}">
<div style="padding-top:18px; padding-{$default_right}:0px; padding-bottom:0px; padding-{$default_left}:38px;">
	<div class="head-content main_nav mainsize" style="padding:0px;margin:0px;{if $logo_setup.site_logotype_format=='image'}height: auto;{/if}">
	{if $logo_setup.site_top_logotype==''}
		<h1 onclick="javascript: location.href='{$server}/{$seo.index}';" class="logotype-index">{if $keywords ne ''}{$keywords}{else}{$lang.keywords}{/if}</h1>
	{else}
		{if $logo_setup.site_logotype_format=='image'}
			<a href="{$server}{$top_menu.index}" ><img src="{$server}{$logo_setup.site_top_logotype}" border="0" alt="" width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}"></a>
		{else}
			<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
			width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}" type="application/x-shockwave-flash">
			<param name="movie" value="{$server}{$logo_setup.site_top_logotype}" />
			<param name="quality" value="high" />
			<param name="pluginurl" value="http://www.macromedia.com/go/getflashplayer" />
			<embed src="{$server}{$logo_setup.site_top_logotype}" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="{$logo_setup.site_logotype_width}" height="{$logo_setup.site_logotype_height}"></embed>
			</object>
		{/if}
	{/if}
	</div>
	{if $warning ne 1}<div style="padding-top: 15px;"><font style="font-family: Tahoma; font-size: 18px; font-weight: bold; color: #000;">{$lang.site_is_under_construction}</font></div>{/if}
</div>
{if $warning ne 1}
<div style="height: 30px; background-image: url(uploads/editor/cross_line.gif);">&nbsp;</div>
{else}
<div style="height: 4px; background-color: #a6a6a6; font-size: 1px;">&nbsp;</div>
{/if}
<div class="wysiwyg_content" style="padding-{$default_left}: 50px;{if $warning ne 1}background-color:#000;{/if}">{$text_maintenance}</div>
{if $warning eq 1}
<div style="padding-{$default_left}: 50px;">
<form method="POST" name="warning" action="{$action}">
<table width="100%" cellpadding="0" cellspacing="0">
	<tr>
		<td align="{$default_right}" width="100%" style="padding:10px 0;">
			<input type="checkbox" name="agree" value="1">&nbsp;
			<span>{$lang.i_agree}&nbsp;&nbsp;</span>
		</td>
	</tr>
	<tr>
		<td align="{$default_left}" style="padding-top: 4px;">
			<input type="submit" value="{$lang.button.submit}" name="submit">
		</td>
	</tr>
</table>
</form>
</div>
{/if}
</body>
</html>