{include file="$gentemplates/$header_tpl"}
{strip}
	<div class="content">
		{if !$registered}
		<div id="login_form" class="hide">
			<h1>{$lang.mobile.login}</h1>
			<div class="login_form">
				<form method="POST" action="{$server}/m/index.php" data-ajax="false">
					<ul class="list">
						<li>{$lang.mobile.login}:
							<div class="inputconvas">
								<input type="text"  name="login_lg" value="{if $demo_module eq 1}demo1{/if}" />
							</div>
						</li>
						<li>{$lang.mobile.password}:
							<div class="inputconvas">
								<input type="password" name="pass_lg" value="{if $demo_module eq 1}123456{/if}" />
							</div>
						</li>
						<li>
							<input type="submit" value="{$lang.mobile.login_btn}" />
							<span class="login_form_link">
								<a href="forgot_password.php">{$lang.mobile.forgot_your_password}</a>
							</span>
						</li>
					</ul>
				</form>
			</div>
			{if $use_facebook_connect || $use_vk_connect}
			<div class="list_elem">
					{if $use_facebook_connect eq 1}
							<a href="{$fbconnect_url}" onclick="location.href='{$site_root}/facebook_connect/index.php';"><span class="fbconnect"></span></a>
					{/if}
					&nbsp;
					{if $use_vk_connect eq 1}
							<a href="#" onclick="location.href='http://api.vkontakte.ru/oauth/authorize?client_id={$vk_api_id}&scope=&response_type=code&redirect_uri={$server}/{if $use_seo_url_prefix}{$seo_url_prefix}/{/if}vk_connect.php';"><span class="vkconnect"></span></a>				
					{/if}
			</div>
			<div class="delimiter"></div>
			{/if}
			<div class="list_elem">
				<span>{$lang.mobile.reg_text}&nbsp;&nbsp;</span>
				<span><a href="{$server}/m/registration.php"><span class="icons mini_arrow_icon"></span>&nbsp;{$lang.mobile.registration}</a></span>
			</div>
		</div>
		<div class="index_users_block" id="index_users_block">
			<div class="index_button">
				<input type="submit" onclick="HideShow('index_users_block','login_form');" value="{$lang.mobile.login_btn}">&nbsp;&nbsp;&nbsp;
				<input type="submit" id="q_search" value="{$lang.mobile.search}" onclick="document.location.href='{$server}/m/search.php'">
			</div>
			{section loop=$search_result name=s max=9}
				<div class="users_result_block float_{$default_left}">
					<div>
						<a class="imgcanvas_container" href="{$search_result[s].link}">
							<img src="{$search_result[s].icon_path}" />
						</a>
					</div>
				</div>
			{/section}
		</div>
		{else}
		<div id="main_menu">
			<ul class="fullscreen_menu">
				<li onclick="document.location.href='{$server}/m/search.php'">
					<div class="menu_text">{$lang.mobile.find_people}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
				<li onclick="document.location.href='{$server}/m/homepage.php'">
					<div class="menu_text">{$lang.mobile.my_profile}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
				{if $use_mailbox}
				<li onclick="document.location.href='{$server}/m/mailbox.php'">
					<div class="menu_text">{$lang.mobile.my_mailbox}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
				{/if}
				<li id="language" onclick="HideShow('main_menu','lang-panel')">
					<div class="menu_text">{$lang.mobile.language}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
				<li onclick="HideShow('main_menu','fun_stuff')">
					<div class="menu_text">{$lang.mobile.fun_stuff}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
			</ul>
		</div>
		<div id="fun_stuff" class="hide">
			<h1>{$lang.mobile.fun_stuff}</h1>
			<ul class="fullscreen_menu">
				<li onclick="document.location.href='{$server}/m/hot_or_not.php'">
					<h4>{$lang.mobile.hot_or_not}</h4>
					<div class="menu_text">{$lang.mobile.hot_or_not_descr}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
				<li onclick="document.location.href='{$server}/m/photogallery.php'">
					<h4>{$lang.mobile.photo_gallery}</h4>
					<div class="menu_text">{$lang.mobile.photo_gallery_descr}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
				<li onclick="document.location.href='{$server}/m/news.php'">
					<h4>{$lang.mobile.site_news}</h4>
					<div class="menu_text">{$lang.mobile.site_news_descr}</div>
					<div class="icon_main_cont">
						<div class="icons menu_icon"></div>
					</div>
				</li>
			</ul>
		</div>
		{/if}
		<div id="lang-panel" class="hide">
			<h1>{$lang.mobile.language}</h1>
			<ul class="fullscreen_menu">
				{section  name=a loop=$lang_link}
				<li {if $default_lang ne $lang_link[a].code}onclick="document.location.href='{$lang_link[a].link}'"{/if}>
					<div class="menu_text">{$lang_link[a].lang_name}</div>
					<div class="icon_main_cont">
						{if $default_lang eq $lang_link[a].code}<div class="icons check_icon"></div>{/if}
					</div>
				</li>
				{/section}
			</ul>
		</div>
	</div>
{/strip}
<script type="text/javascript">
var display_page = '{$display_page}';
var main_page = {if !$registered}'index_users_block'{else}'main_menu'{/if};
{literal}
if(display_page){
	HideShow(main_page,display_page);
}
{/literal}
</script>
{include file="$gentemplates/$footer_tpl"}